<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Theme Options
$sewell_error_heading = cs_get_option('error_heading');
$sewell_error_page_content = cs_get_option('error_page_content');
$sewell_error_page_bg = cs_get_option('error_page_bg');
$sewell_error_btn_text = cs_get_option('error_btn_text');
$sewell_error_heading = ( $sewell_error_heading ) ? $sewell_error_heading : esc_html__( '404', 'sewell' );
$sewell_error_page_content = ( $sewell_error_page_content ) ? $sewell_error_page_content : esc_html__( 'Ooopps.! The page you were looking for, Couldn\'t be Found', 'sewell' );
$sewell_error_page_bg = ( $sewell_error_page_bg ) ? wp_get_attachment_url($sewell_error_page_bg) : SEWELL_IMAGES . '/404.jpg';
$sewell_error_btn_text = ( $sewell_error_btn_text ) ? $sewell_error_btn_text : esc_html__( 'BACK TO HOME', 'sewell' );
get_header(); ?>
  <div class="not_found_container" style="background-image: url(<?php echo esc_url($sewell_error_page_bg); ?>);">
    <div class="not_found_container_table">
      <div class="sewl-align-container">
        <h1><?php echo esc_attr($sewell_error_heading); ?></h1>
          <p><?php echo esc_attr($sewell_error_page_content); ?></p>
          <div class="clearfix">
            <a href="<?php echo esc_url(home_url( '/' )); ?>" class="sewl-btn sewl-btn-medium sewl-btn-white-border"><?php echo esc_attr($sewell_error_btn_text); ?></a>
          </div>
      </div>
    </div>
  </div>
<?php
get_footer();
