/*
 * All Admin Related Scripts in this Sewell Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

jQuery(document).ready(function($) {

  /*---------------------------------------------------------------*/
  /* =  Toggle Meta boxes based on post formats
  /*---------------------------------------------------------------*/
  function post_toggle_metaboxes() {
    var format = $("input[name='post_format']:checked").val();

    $('.cs-element-standard, .cs-element-gallery-format, .cs-element-add-gallery, .cs-element-enter-video-iframeembed-code-here, .cs-element-enter-audio-iframeembed-code-here').hide();

    if (format == '0' || format == 'image' ||  format == 'audio' ||  format == 'video' ) {
      $('').slideUp('fast');
      $('.cs-element-standard').slideDown('slow');
    }
    if (format == 'gallery') {
      $('').slideUp('fast');
      $('.cs-element-gallery-format, .cs-element-add-gallery').slideDown('slow');
    }
    if (format == 'video') {
      $('').slideUp('fast');
      $('.cs-element-enter-video-iframeembed-code-here').slideDown('slow');
    }
    if (format == 'audio') {
      $('').slideUp('fast');
      $('.cs-element-enter-audio-iframeembed-code-here').slideDown('slow');
    }
  }
  post_toggle_metaboxes(); // Execute on document ready
  $('#post-formats-select input[type="radio"]').click(post_toggle_metaboxes);

// home gallery options
  function toggle_metaboxes_home() {
    var homeformat = $("input[name='page_gallery_metabox[gallery_layout]']:checked").val();
    $('#page_gallery_metabox .cs-element-image-width').hide();
    $('#page_gallery_metabox ul li:nth-child(2)').hide();
    $('#page_gallery_metabox .cs-element-information-left-column, #page_gallery_metabox .cs-element-information-right-column').show();
    if ( homeformat == 'horizontal_slider' ) {
        $('').slideUp('fast');
        $('#page_gallery_metabox .cs-element-image-width').show();
        $('#page_gallery_metabox .cs-element-information-left-column, #page_gallery_metabox .cs-element-information-right-column').hide();
    }
    if (homeformat == 'home_slider' || homeformat == 'split_effect' || homeformat == 'home_slider_fullpage' ||  homeformat == 'kenburns' ) {
        $('').slideUp('fast');
        $('#page_gallery_metabox ul li:nth-child(2)').show();
    }
  }
  toggle_metaboxes_home();

  $('#page_gallery_metabox .cs-content input[type="radio"]').click(toggle_metaboxes_home);

  function toggle_metaboxes_portfolio() {
    var portfolioformat = $("input[name='portfolio_single_metabox[portfolio_single_layout]']:checked").val();
    $('#portfolio_single_metabox .cs-element-image-width').hide();
    if ( portfolioformat == 'portfolio_horizontal' ) {
        $('').slideUp('fast');
        $('#portfolio_single_metabox .cs-element-image-width').show();
    }
  }
  toggle_metaboxes_portfolio();
  $('#portfolio_single_metabox .cs-content input[type="radio"]').click(toggle_metaboxes_portfolio);

  function toggle_metaboxes_gallery() {
    var galleruformat = $("input[name='gallery_single_metabox[gallery_layout]']:checked").val();
    $('#gallery_single_metabox .cs-element-image-width').hide();
    if ( galleruformat == 'gallery_horizontal' ) {
        $('').slideUp('fast');
        $('#gallery_single_metabox .cs-element-image-width').show();
    }
  }
  toggle_metaboxes_gallery();
  $('#gallery_single_metabox .cs-content input[type="radio"]').click(toggle_metaboxes_gallery);

// page template options
 $('#page_template').change( function() {
    $(' #page_gallery_metabox, #contact_page_metabox, #about_page_metabox').hide();
    switch( $( this ).val() ) {

      case 'about-me.php':
        $('#page_layout_options, .cs-element-custom-title,.cs-element-choose-banner-type, #page_layout_options, #page_type_metabox ul li:nth-child(2)').hide();
        $('#about_page_metabox').show();
      break;

      case 'home-template.php':
      $('#page_gallery_metabox').show();
      $('#page_type_metabox ul li:nth-child(2), #page_layout_options').hide();
      break;

      case 'contact.php':
        $('.cs-element-choose-banner-type, .cs-element-custom-title, #page_layout_options, #page_layout_options, #page_type_metabox ul li:nth-child(2)').hide();
        $('#contact_page_metabox').show();
      break;
      default:
        $('#page_layout_options, #page_type_metabox ul li:nth-child(2)').show();
        $('.cs-element-choose-banner-type, .cs-element-custom-title, .cs-element-overlay-color').show();
        $(' #page_gallery_metabox').hide();
      break;
    }

  }).change();

  $('.post-type-post #page_type_metabox .cs-nav ul li:nth-child(2), .post-type-post #page_layout_options .cs-field-image-select label:nth-child(2), .post-type-post #page_layout_options .cs-field-image-select label:nth-child(3), .post-type-post #page_layout_options .cs-field-image-select label:nth-child(4), .post-type-post #page_layout_options .cs-element-padding').hide();

});

/*
 * TipTip
 * Copyright 2010 Drew Wilson
 * www.drewwilson.com
 * code.drewwilson.com/entry/tiptip-jquery-plugin
 *
 * Version 1.3   -   Updated: Mar. 23, 2010
 *
 * This Plug-In will create a custom tooltip to replace the default
 * browser tooltip. It is extremely lightweight and very smart in
 * that it detects the edges of the browser window and will make sure
 * the tooltip stays within the current window size. As a result the
 * tooltip will adjust itself to be displayed above, below, to the left
 * or to the right depending on what is necessary to stay within the
 * browser window. It is completely customizable as well via CSS.
 *
 * This TipTip jQuery plug-in is dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html
 */
(function($){$.fn.tipTip=function(options){var defaults={activation:"hover",keepAlive:false,maxWidth:"200px",edgeOffset:3,defaultPosition:"bottom",delay:400,fadeIn:200,fadeOut:200,attribute:"title",content:false,enter:function(){},exit:function(){}};var opts=$.extend(defaults,options);if($("#tiptip_holder").length<=0){var tiptip_holder=$('<div id="tiptip_holder" style="max-width:'+opts.maxWidth+';"></div>');var tiptip_content=$('<div id="tiptip_content"></div>');var tiptip_arrow=$('<div id="tiptip_arrow"></div>');$("body").append(tiptip_holder.html(tiptip_content).prepend(tiptip_arrow.html('<div id="tiptip_arrow_inner"></div>')))}else{var tiptip_holder=$("#tiptip_holder");var tiptip_content=$("#tiptip_content");var tiptip_arrow=$("#tiptip_arrow")}return this.each(function(){var org_elem=$(this);if(opts.content){var org_title=opts.content}else{var org_title=org_elem.attr(opts.attribute)}if(org_title!=""){if(!opts.content){org_elem.removeAttr(opts.attribute)}var timeout=false;if(opts.activation=="hover"){org_elem.hover(function(){active_tiptip()},function(){if(!opts.keepAlive){deactive_tiptip()}});if(opts.keepAlive){tiptip_holder.hover(function(){},function(){deactive_tiptip()})}}else if(opts.activation=="focus"){org_elem.focus(function(){active_tiptip()}).blur(function(){deactive_tiptip()})}else if(opts.activation=="click"){org_elem.click(function(){active_tiptip();return false}).hover(function(){},function(){if(!opts.keepAlive){deactive_tiptip()}});if(opts.keepAlive){tiptip_holder.hover(function(){},function(){deactive_tiptip()})}}function active_tiptip(){opts.enter.call(this);tiptip_content.html(org_title);tiptip_holder.hide().removeAttr("class").css("margin","0");tiptip_arrow.removeAttr("style");var top=parseInt(org_elem.offset()['top']);var left=parseInt(org_elem.offset()['left']);var org_width=parseInt(org_elem.outerWidth());var org_height=parseInt(org_elem.outerHeight());var tip_w=tiptip_holder.outerWidth();var tip_h=tiptip_holder.outerHeight();var w_compare=Math.round((org_width-tip_w)/2);var h_compare=Math.round((org_height-tip_h)/2);var marg_left=Math.round(left+w_compare);var marg_top=Math.round(top+org_height+opts.edgeOffset);var t_class="";var arrow_top="";var arrow_left=Math.round(tip_w-12)/2;if(opts.defaultPosition=="bottom"){t_class="_bottom"}else if(opts.defaultPosition=="top"){t_class="_top"}else if(opts.defaultPosition=="left"){t_class="_left"}else if(opts.defaultPosition=="right"){t_class="_right"}var right_compare=(w_compare+left)<parseInt($(window).scrollLeft());var left_compare=(tip_w+left)>parseInt($(window).width());if((right_compare&&w_compare<0)||(t_class=="_right"&&!left_compare)||(t_class=="_left"&&left<(tip_w+opts.edgeOffset+5))){t_class="_right";arrow_top=Math.round(tip_h-13)/2;arrow_left=-12;marg_left=Math.round(left+org_width+opts.edgeOffset);marg_top=Math.round(top+h_compare)}else if((left_compare&&w_compare<0)||(t_class=="_left"&&!right_compare)){t_class="_left";arrow_top=Math.round(tip_h-13)/2;arrow_left=Math.round(tip_w);marg_left=Math.round(left-(tip_w+opts.edgeOffset+5));marg_top=Math.round(top+h_compare)}var top_compare=(top+org_height+opts.edgeOffset+tip_h+8)>parseInt($(window).height()+$(window).scrollTop());var bottom_compare=((top+org_height)-(opts.edgeOffset+tip_h+8))<0;if(top_compare||(t_class=="_bottom"&&top_compare)||(t_class=="_top"&&!bottom_compare)){if(t_class=="_top"||t_class=="_bottom"){t_class="_top"}else{t_class=t_class+"_top"}arrow_top=tip_h;marg_top=Math.round(top-(tip_h+5+opts.edgeOffset))}else if(bottom_compare|(t_class=="_top"&&bottom_compare)||(t_class=="_bottom"&&!top_compare)){if(t_class=="_top"||t_class=="_bottom"){t_class="_bottom"}else{t_class=t_class+"_bottom"}arrow_top=-12;marg_top=Math.round(top+org_height+opts.edgeOffset)}if(t_class=="_right_top"||t_class=="_left_top"){marg_top=marg_top+5}else if(t_class=="_right_bottom"||t_class=="_left_bottom"){marg_top=marg_top-5}if(t_class=="_left_top"||t_class=="_left_bottom"){marg_left=marg_left+5}tiptip_arrow.css({"margin-left":arrow_left+"px","margin-top":arrow_top+"px"});tiptip_holder.css({"margin-left":marg_left+"px","margin-top":marg_top+"px"}).attr("class","tip"+t_class);if(timeout){clearTimeout(timeout)}timeout=setTimeout(function(){tiptip_holder.stop(true,true).fadeIn(opts.fadeIn)},opts.delay)}function deactive_tiptip(){opts.exit.call(this);if(timeout){clearTimeout(timeout)}tiptip_holder.fadeOut(opts.fadeOut)}}})}})(jQuery);

// After above plugins load
jQuery(document).ready(function($) {

  // Tooltip for System Status [?]
  $( '.tool_tip_help' ).tipTip({
    attribute: 'data-tip'
  });
  $( 'a.tool_tip_help' ).click( function() {
    return false;
  });
  $( ".vt-cs-widget-fields" ).parents( ".widget-inside" ).addClass( "vt-cs-widget" );

});