(function($){
'use strict';
$(document).ready(function() {
  "use strict";
  if (jQuery('body div').hasClass('active-sticky-header')) {
    jQuery(".sewl-header").sticky({topSpacing: 0});
  }
  if ( $(".sewl-header .dropdown-menu li").hasClass('current-menu-item') ) {
    $( ".sewl-header .dropdown-menu" ).addClass('active');
  }

  // Smooth Scroll
  $('.smooth-scroll').bind('click', function(event) {
    var $anchor = $(this);
    var navHeight = $('.sticky-wrapper').height();
    $('html, body').stop().animate({
      scrollTop: $($anchor.attr('href')).offset().top - navHeight
    }, 800);
    event.preventDefault();
  });

  // Video format
  $(".format-video").fitVids();

  // Album Thumbnail
  if( $('div').hasClass('album-listings-wrap') ) {
    $('body').addClass('album-thumbnail-shortcode');
  }

  // form validation
  $(".form-submit #submit").click(function(){
    $('#comment.error, input.error').val('').empty();
  });

  //sewl blog carousel
  $('.blogcarousel').carousel();

  //sewl dropdown hover script
  $('.dropdown-toggle').dropdownHover();

  //submenu hover script
  $('.dropdown-toggle').on('click', function(e){
    $(this).next('ul').slideToggle();
    e.preventDefault();
  });

  $(window).resize(function() {
    if ($(window).width() < 900) {
      $(".dropdown-toggle").attr('data-toggle', 'dropdown');
    } else {
      $(".dropdown-toggle").removeAttr('data-toggle dropdown');
    }
  });

  //sewl stop propagation script
  $(document).on('click', 'ul.dropdown-menu', function (e){
    e.stopPropagation();
  });

  //on document click remove script
  $(document).on('click', function(e){
    if ($(e.target).is('nav.top-navbar, nav.top-navbar *') === false){
      $('nav.top-navbar').removeClass('show');
    }
  });

  //sewl back top script
  jQuery('.sewl-back-top').hide();
  jQuery(function () {
    jQuery(window).scroll(function (){
      if (jQuery(this).scrollTop() > 150){
        jQuery('.sewl-back-top').fadeIn();
      }
      else {
        jQuery('.sewl-back-top').fadeOut();
      }
    });
    jQuery('.sewl-back-top a').click(function (){
      jQuery('body,html').animate({
        scrollTop: 0
      }, 350);
    return false;
    });
  });

  //sewl swiper slider script
  var swipermw = $('.swiper-container.mousewheel').length ? true : false;
  var swiperkb = $('.swiper-container.keyboard').length ? true : false;
  var swipercentered = $('.swiper-container.center').length ? true : false;
  var swiperautoplay = $('.swiper-container').data('autoplay');
  var swiperinterval = $('.swiper-container').data('interval'),
  swiperinterval = swiperinterval ? swiperinterval : 7000;
  swiperautoplay = swiperautoplay ? swiperinterval : false;

  //sewl swiper slideshow script
  var autoplay = 5000;
  var swiper = new Swiper('.slideshow',{
    autoplayDisableOnInteraction: false,
    effect: 'fade',
    speed: 1000,
    loop: true,
    paginationClickable: true,
    watchSlidesProgress: true,
    autoplay: autoplay,
    simulateTouch: false,
    nextButton: '.swiper-button-next',
    prevButton: '.swiper-button-prev',
    pagination: '.swiper-pagination',
    paginationType: 'fraction',
    mousewheelControl: swipermw,
    keyboardControl: swiperkb,
  });

  //sewl swiper horizontal slider script
  var swiperHorizontal = $('.horizontal-slider').swiper({
    autoplayDisableOnInteraction: false,
    effect: 'slide',
    loop: true,
    watchSlidesProgress: true,
    speed: 1000,
    autoplay: 5000,
    simulateTouch: false,
    nextButton: '.swiper-button-next',
    prevButton: '.swiper-button-prev',
    mousewheelControl: swipermw,
    keyboardControl: swiperkb,
    slidesPerView: 'auto',
    noSwipingClass: 'noswipe',
    centeredSlides: swipercentered,
  });

  //sewl swiper slideshow script
  var swiper = new Swiper('.kenburns',{
    autoplayDisableOnInteraction: false,
    effect: 'fade',
    speed: 1000,
    loop: true,
    paginationClickable: true,
    watchSlidesProgress: true,
    autoplay: autoplay,
    simulateTouch: false,
    nextButton: '.swiper-button-next',
    prevButton: '.swiper-button-prev',
    pagination: '.swiper-pagination',
    paginationType: 'fraction',
    mousewheelControl: swipermw,
    keyboardControl: swiperkb,
  });

  //sewl swiper slider controls script
  swiperautoplay ? $('.swiper-button-play').addClass('hidden') : $('.swiper-button-pause').addClass('hidden');
  $('.swiper-controls, .swiper-slide').on('click', '.swiper-button-play, .sewl-close-btn', function (){
    $('.swiper-container')[0].swiper.params.autoplay = swiperinterval;
    $('.swiper-container')[0].swiper.startAutoplay();
    $('.swiper-button-play, .swiper-button-pause').toggleClass('hidden');
  });
  $('.swiper-controls, .swiper-slide').on('click', '.swiper-button-pause, .sewl-project-btn, .sewl-project-share', function (){
    $('.swiper-container')[0].swiper.stopAutoplay();
    $('.swiper-button-play, .swiper-button-pause').toggleClass('hidden');
  });

  //sewl expand btn script
  $('.slideshow .sewl-expand-btn, .kenburns .sewl-expand-btn, .sewl-fullpage .sewl-expand-btn').on('click', function (){
    $(this).toggleClass('active');
    $('.sewl-main-wrap').toggleClass('slider-expanded');
  });

  //sewl project share script
  $('.sewl-project-share a').on('click', function (){
    $('.sewl-project-share, .sewl-heading-wrap, .sewl-expand-btn, .sewl-expand-btn2, .swiper-controls, .sewl-project-btn, .swiper-pagination, .boxgallery nav, #fp-nav').addClass('sewl-hide');
    $('.sewl-project-share + .sewl-project-socials').addClass('sewl-show');
  });
  $('.sewl-project-btn a').on('click', function (){
    $('.sewl-project-share, .sewl-heading-wrap, .sewl-expand-btn, .sewl-expand-btn2, .swiper-controls, .sewl-project-btn, .swiper-pagination, .boxgallery nav, #fp-nav').addClass('sewl-hide');
    $('.sewl-project-btn + .sewl-project-info').addClass('sewl-show');
  });
  $('.sewl-portfolio-btn a').on('click', function (){
    $('.portfolio-info-wrap').toggleClass('open');
    $('.sewl-main-wrap').removeClass('slider-expanded');
  });

  //sewl close btn script
  $('.sewl-close-btn a').on('click', function (){
    $('.sewl-project-share, .sewl-heading-wrap, .sewl-expand-btn, .sewl-expand-btn2, .swiper-controls, .sewl-project-btn, .swiper-pagination, .boxgallery nav, #fp-nav').removeClass('sewl-hide');
    $('.sewl-project-socials, .sewl-project-info').removeClass('sewl-show');
  });
  //sewl social title attract script
  $('.sewl-rectangle-socials a').hover(function(){
    var title = $(this).attr('title');
    $(this).data('', title).removeAttr('title');
    $('.social-label strong')
    .text(title);
  },
  function() {
    $(this).attr('title', $(this).data(''));
  });

  //sewl lightgallery script
  $('.lightgallery').lightGallery({
    showThumbByDefault: false,
  });

  //sewl lightgallery script
  $('.lightgallery-grid').lightGallery({
    showThumbByDefault: false,
    selector: "[data-rel='gallery']",
  });

  //sewl hover script
  $('.mate-list, .masonry-wrap, .album-list, .swiper-slide, .slick-horizontal .item').hover(
    function(){
      $(this).addClass('ishover');
    },
    function(){
      $(this).removeClass('ishover');
    }
  );

  //sewl progress bar script
  $('.sewl-skills').waypoint(function(){
    $('.progress').each(function(){
      var $this = $(this);
      $('.progress-bar', $this).animate({
        width:$('.progress-bar', $this).attr('data-percent')
      },2000);
    });
  },
  {
    offset: '100%'
  });

  //sewl default slider script
  $('.sewl-default-slider').each( function(){
    var $carousel = $(this);
    var $items = ($carousel.data("items") !== undefined) ? $carousel.data("items") : 1;
    var $items_tablet = ($carousel.data("items-tablet") !== undefined) ? $carousel.data("items-tablet") : 1;
    var $items_mobile_landscape = ($carousel.data("items-mobile-landscape") !== undefined) ? $carousel.data("items-mobile-landscape") : 1;
    var $items_mobile_portrait = ($carousel.data("items-mobile-portrait") !== undefined) ? $carousel.data("items-mobile-portrait") : 1;
    $carousel.owlCarousel({
      loop : ($carousel.data("loop") !== undefined) ? $carousel.data("loop") : true,
      items : $carousel.data("items"),
      margin : ($carousel.data("margin") !== undefined) ? $carousel.data("margin") : 0,
      //dots : ($carousel.data("dots") !== undefined) ? $carousel.data("dots") : true,
      nav : ($carousel.data("nav") !== undefined) ? $carousel.data("nav") : false,
      navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
      autoplay : ($carousel.data("autoplay") !== undefined) ? $carousel.data("autoplay") : false,
      autoplayTimeout : ($carousel.data("autoplay-timeout") !== undefined) ? $carousel.data("autoplay-timeout") : 5000,
      animateOut : ($carousel.data("animateout") !== undefined) ? $carousel.data("animateout") : false,
      mouseDrag : ($carousel.data("mouse-drag") !== undefined) ? $carousel.data("mouse-drag") : true,
      autoWidth : ($carousel.data("auto-width") !== undefined) ? $carousel.data("auto-width") : false,
      autoHeight : ($carousel.data("auto-height") !== undefined) ? $carousel.data("auto-height") : false,
      responsiveClass: true,
      responsive : {
        0 : {
          items : $items_mobile_portrait,
        },
        480 : {
          items : $items_mobile_landscape,
        },
        768 : {
          items : $items_tablet,
        },
        960 : {
          items : $items,
        }
      }
    });
    var totLength = $(".owl-dot", $carousel).length;
    $(".total-no", $carousel).html(totLength);
    $(".current-no", $carousel).html(totLength);
    $carousel.owlCarousel();
    $(".current-no", $carousel).html(1);
    $carousel.on('changed.owl.carousel', function(event){
      var total_items = event.page.count;
      var currentNum = event.page.index + 1;
      $(".total-no", $carousel ).html(total_items);
      $(".current-no", $carousel).html(currentNum);
    });
  });

  //sewl filter script
  $(window).load( function(){
    var $masonry = $('.sewl-masonry').imagesLoaded( function() {
      $('.sewl-masonry').isotope({
        itemSelector: '.masonry-item',
        layoutMode: 'masonry',
      });
    });
    var $grid = $('.grid').imagesLoaded( function() {
      $('.sewl-grid').isotope({
        itemSelector: '.grid-item',
        layoutMode: 'fitRows'
      });
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match( /ium$/ );
      }
    };
    $('.filter-buttons.grid').on( 'click', 'a', function(){
      var filterValue = $( this ).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
    });
    $('.filter-buttons.masonry').on( 'click', 'a', function(){
      var filterValue = $( this ).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $masonry.isotope({
        filter: filterValue
      });
    });
    $('.filter-buttons').each( function( i, buttonGroup ){
      var $buttonGroup = $( buttonGroup );
      $buttonGroup.on( 'click', 'a', function() {
        $buttonGroup.find('.active').removeClass('active');
        $(this).addClass('active');
      });
    });
  });

  //sewl vertical scroll script
  $(window).load(function(){
      var button = $('.load_more_hover');
      var hpage = 1;
      var loading = false;
      var hAjaxUrl = $('.load_more_hover').data('url');
      var hDate = $('.load_more_hover').data('date');
      var hMonth = $('.load_more_hover').data('month');
      var hYear = $('.load_more_hover').data('year');
      var hTag = $('.load_more_hover').data('tags');
      var hCategory = $('.load_more_hover').data('category');
      var hAuthor = $('.load_more_hover').data('author');
      var hmessage = $('.load_more_hover').data('message');
      var hPosttype = $('.load_more_hover').data('posttype');
      var hSearch = $('.load_more_hover').data('insearch');
      var hOrder = $('.load_more_hover').data('inorder');
      var hOrderBy = $('.load_more_hover').data('inorderby');
      var hLimit = $('.load_more_hover').data('inlimit');
      var hposts = $('.load_more_hover').data('inposts');
      var hBlogScrollHandler = {
        allow: true,
        reallow: function() {
            hBlogScrollHandler.allow = true;
        },
        delay: 800
      };

    $('.vertical-scrollbox').mCustomScrollbar({
      axis: 'y',
      scrollInertia: 200,
      autoHideScrollbar: true,
      autoDraggerLength: true,
      advanced: {
        updateOnContentResize: true
      },
      callbacks:{
        onScroll:function(){
          $(window).resize(function () { //put your code in window.resize so that it runs when ever window is resized
            if ($(window).width() >= 992) {
              if ( $('body a').hasClass('load_more_hover') ) {
              if( ! loading && hBlogScrollHandler.allow ) {
                hBlogScrollHandler.allow = false;
                $('.load_more_hover .loader').addClass('loading');
                setTimeout(hBlogScrollHandler.reallow, hBlogScrollHandler.delay);
                var offset = button.offset().top - $(window).scrollTop();
                // alert(offset);
                if( 2000 > offset ) {
                  loading = true;
                  var data = {
                    action: 'sewell_ajax_infinite_hover_load',
                    hDate: hDate,
                    hMonth: hMonth,
                    hYear: hYear,
                    hTag: hTag,
                    hSearch: hSearch,
                    hCategory: hCategory,
                    hPosttype: hPosttype,
                    hAuthor: hAuthor,
                    hpage: hpage,
                    hLimit : hLimit,
                    hOrderBy : hOrderBy,
                    hOrder : hOrder
                  };
                  $.post(hAjaxUrl, data, function(res) {
                    if( res.success) {

                        $('.blog-item-pagination').append( res.data );
                        $('.load_more_hover').append( button );
                        $('.load_more_hover .loader').removeClass('loading');

                        var postLength = $('.blog-item').length;
                        if (postLength >= hposts) {
                          hBlogScrollHandler.allow = false;
                          $('.load_more_hover').append('<p style="text-align:center;">'+hmessage+'</p>');
                          $('.load_more_hover').removeClass('load_more_hover');
                          $('.load_more_hover .loader').removeClass('loading');
                        }

                        $('.load_more_hover .loader').removeClass('loading');
                        hpage = hpage + 1;
                        loading = false;
                    } else {

                    }
                  }).fail(function(xhr, textStatus, e) {

                  });
                }
                }
              }
            }
          }).resize();
        }
      }
    });
  });
$(window).resize(function () { //put your code in window.resize so that it runs when ever window is resized
  if ($(window).width() < 992) {
      var button = $('.load_more_hover');
      var hpage = 1;
      var loading = false;
      var hAjaxUrl = $('.load_more_hover').data('url');
      var hDate = $('.load_more_hover').data('date');
      var hMonth = $('.load_more_hover').data('month');
      var hYear = $('.load_more_hover').data('year');
      var hTag = $('.load_more_hover').data('tags');
      var hCategory = $('.load_more_hover').data('category');
      var hAuthor = $('.load_more_hover').data('author');
      var hmessage = $('.load_more_hover').data('message');
      var hPosttype = $('.load_more_hover').data('posttype');
      var hSearch = $('.load_more_hover').data('insearch');
      var hOrder = $('.load_more_hover').data('inorder');
      var hOrderBy = $('.load_more_hover').data('inorderby');
      var hLimit = $('.load_more_hover').data('inlimit');
      var hposts = $('.load_more_hover').data('inposts');
      var hBlogScrollHandler = {
        allow: true,
        reallow: function() {
            hBlogScrollHandler.allow = true;
        },
        delay: 800
      };

    if ( $('body a').hasClass('load_more_hover') ) {

    $(window).scroll(function(event) {
      if( ! loading && hBlogScrollHandler.allow ) {
        hBlogScrollHandler.allow = false;
        $('.load_more_hover .loader').addClass('loading');
        setTimeout(hBlogScrollHandler.reallow, hBlogScrollHandler.delay);
        var offset = button.offset().top - $(window).scrollTop();
        // alert(offset);
        if( 2000 > offset ) {
          loading = true;
          var data = {
            action: 'sewell_ajax_infinite_hover_load',
            hDate: hDate,
            hMonth: hMonth,
            hYear: hYear,
            hTag: hTag,
            hSearch: hSearch,
            hCategory: hCategory,
            hPosttype: hPosttype,
            hAuthor: hAuthor,
            hpage: hpage,
            hLimit : hLimit,
            hOrderBy : hOrderBy,
            hOrder : hOrder
          };
          $.post(hAjaxUrl, data, function(res) {
            if( res.success) {

                $('.blog-item-pagination').append( res.data );
                $('.load_more_hover .loader').removeClass('loading');

                var postLength = $('.blog-item').length;
                if (postLength >= hposts) {
                  hBlogScrollHandler.allow = false;
                  $('.load_more_hover').append('<p style="text-align:center;">'+hmessage+'</p>');
                  $('.load_more_hover').removeClass('load_more_hover');
                  $('.load_more_hover .loader').removeClass('loading');
                }

                $('.load_more_hover .loader').removeClass('loading');
                hpage = hpage + 1;
                loading = false;
            } else {

            }
          }).fail(function(xhr, textStatus, e) {

          });
        }
      }
    });
    }
  }
}).resize(); //call resize function

  //sewl horizontal scroll script
  $(window).load(function(){
    $('.horizontal-scrollbox').mCustomScrollbar({
      axis: 'x',
      scrollInertia: 200,
      autoHideScrollbar: true,
      autoDraggerLength: true,
      advanced: {
        updateOnContentResize: true
      }
    });
  });

  //sewl social share script
  $('.sewl-share').hover(function (){
    $(this).toggleClass('active');
  });

  //zoom image script
  initOutdoor();
  function initOutdoor(){
    function d(){
      var a = document.querySelectorAll('.intense');
      Intense(a);
    }
    d();
  }

  //sewl slick horizontal script
  $(window).load(function() {
  $('.slick-horizontal').each( function() {
  var $slickcarousel = $(this);
  $slickcarousel.slick({
    dots : ($slickcarousel.data('dots') !== undefined) ? $slickcarousel.data('dots') : false,
    arrows : ($slickcarousel.data('nav') !== undefined) ? $slickcarousel.data('nav') : false,
    infinite: false,
    autoplay: false,
    speed: 500,
    slidesToShow: 4,
    slidesToScroll: 1,
    responsive: [
      {
        breakpoint: 1200,
        settings: {
          slidesToShow: 3,
        }
      },
      {
        breakpoint: 992,
        settings: {
          slidesToShow: 2,
        }
      },
      {
        breakpoint: 520,
        settings: {
          slidesToShow: 1,
        }
      }
    ]
  })
  .on('mousewheel', function (event){
    event.preventDefault();
    if (event.deltaX > 0 || event.deltaY < 0){
      $(this).slick('slickNext');
    }
    else if (event.deltaX < 0 || event.deltaY > 0){
      $(this).slick('slickPrev');
    }
  });

  //sewl slick slider filter buttons script
  var filtered = false;
  $('.slick-filter-nav li a').on('click', function (){
    var filtername = $(this).attr('id');
    var currentclass = $(this).attr('class');
    if (filtered === false) {
      $('.slick-horizontal').slick('slickUnfilter');
      $('.slick-horizontal').slick('slickFilter', '.filter-' + filtername);
    } else {
      $('.slick-horizontal').slick('slickUnfilter');
      $('.slick-horizontal').slick('slickFilter', '.filter-' + filtername);
      $('.slick-horizontal').slickGoTo(0);
      filtered = false;
    }
  });
  $('.slick-filter-nav').each( function( i, buttonGroup ){
    var $buttonGroup = $( buttonGroup );
    $buttonGroup.on( 'click', 'a', function(){
      $buttonGroup.find('.active').removeClass('active');
      $(this).addClass('active');
    });
  });

  });
  });
  //sewl full page script
  $('#sewl-fullpage').fullpage({
    verticalCentered: false,
    sectionsColor: ['#bdbdbd', '#cacaca', '#d9d8d8', '#e7e6e6', '#f5f4f4'],
    menu: '#menu',
    navigation: true,
    navigationPosition: 'right',
    // easing: 'easeInOutCubic',
    // easingcss3: 'cubic-bezier(0.175, 0.885, 0.320, 1.275)'
  });
  //sewl counter script
  $('.swiper-pagination span').text(function (i, n) {
    n = +n;
    return (n < 9 ? "0" : "") + (n + 0);
  });
  //sewl form parent script
  $('.wpcf7-range, .wpcf7-file, .wpcf7-textarea, select[multiple].wpcf7-select, .wpcf7-checkbox, .wpcf7-radio').parent().parent().addClass('wpcf7-block');

  // interactive_bg
  // $(".sewl-cursor-intractive").interactive_bg({
  //   strength: 10,
  //   scale: 1.08,
  //   animationSpeed: "200ms",
  //   wrapContent: true
  // });

});

  $(window).load( function(){
    if ( jQuery('body div').hasClass('active-preloader') ) {
      jQuery('.sewl-preloader').fadeOut(500, function(){
        jQuery('.sewl-main-wrap, #fp-nav').animate({
          opacity: '1'
        });
      });
    } else {
      jQuery('.sewl-main-wrap, #fp-nav').animate({ opacity: '1' });
    }
  });

  var vidId = $('#video_player').data('id');
  $('#video_player').YTPlayer({
    videoId: vidId
  });
  $("img.lazy").Lazy();
})(jQuery);