<?php
/* Template Name: Contact
 * The template for displaying Contact page.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'contact_page_metabox', true );
// Background - Type
if( $sewell_meta && isset( $sewell_meta['contact_page_bg'] ) ) {
  extract( $sewell_meta['contact_page_bg'] );
  $sewell_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . esc_url($image) . ');' : 'background-image: url(' .get_template_directory_uri().'/assets/images/backgrounds/bg8.png);';
  $sewell_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $sewell_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $sewell_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $sewell_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $sewell_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $sewell_background_style       = ( ! empty( $image ) ) ? $sewell_background_image . $sewell_background_repeat . $sewell_background_position . $sewell_background_size . $sewell_background_attachment : '';
  $sewell_title_bg = ( ! empty( $sewell_background_style ) || ! empty( $sewell_background_color ) ) ? $sewell_background_style . $sewell_background_color : '';
} else {
  $sewell_title_bg = '';
}
get_header();
if ( have_posts() ) : ?>
  <!-- sewl mid wrap (contact page) -->
  <div class="sewl-mid-wrap contact-page">
    <div class="sewl-fixed-bg" style="<?php echo esc_attr($sewell_title_bg); ?>"></div>
    <div class="col-md-6 col-sm-12 pull-right">
      <div class="vertical-scrollbox">
        <div class="sewl-contact-wrap">
					<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							the_content();
						endwhile;
					?>
        </div>
      </div>
    </div>
  </div>
<?php
else :
	get_template_part( 'layouts/post/content', 'none' );
endif;
wp_reset_postdata();  // avoid errors further down the page
get_footer();
