<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'sewell_vt_scripts_styles' ) ) {
  function sewell_vt_scripts_styles() {
    // Styles
    wp_enqueue_script( 'bootstrap-js', SEWELL_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.5.3', true );
    wp_enqueue_style( 'sewell-css-plugins', SEWELL_CSS .'/plugins.css', array(), SEWELL_VERSION, 'all' );
    wp_enqueue_style( 'sewell-style', SEWELL_CSS .'/styles.css', array(), SEWELL_VERSION, 'all' );
    $theme_popup_option = cs_get_option('popup_background');
    if ($theme_popup_option == 'light') {
      wp_add_inline_style( 'sewell-style', '.lg-outer.lg-visible { background: #fff;} .lg-outer .lg-toogle-thumb{ background-color: rgba(0, 0, 0, 0.45);} .lg-actions .lg-next, .lg-actions .lg-prev,.lg-toolbar .lg-icon,#lg-counter {color: #232323;}.lg-outer .lg-toogle-thumb {color: #fff;} .lg-toolbar .lg-icon:hover,.lg-actions .lg-next:hover, .lg-actions .lg-prev:hover {color:#505050;} .lg-actions .lg-next, .lg-actions .lg-prev,.lg-toolbar,.lg-thumb-outer, .lg-outer .lg-thumb-outer {background-color: rgba(0,0,0,0.45);}.lg-toolbar.group, .lg-actions .lg-next, .lg-actions .lg-prev, .lg-sub-html {background: transparent;}' );
    }

    wp_enqueue_script( 'bootstrap-hover-js', SEWELL_SCRIPTS . '/bootstrap.hover.dropdown.js', array( 'jquery' ), '4.5.3', true );
    wp_enqueue_script( 'sewell-plugins', SEWELL_SCRIPTS . '/plugins.js', array( 'jquery' ), SEWELL_VERSION, true );

    wp_add_inline_script( 'sewell-plugins', "
      jQuery(document).ready(function() {
        if( jQuery('body div').hasClass('boxgallery_id') ){
          new BoxesFx(document.getElementById('boxgallery'));
        }
      });" );
    // ajax loading
    if ( !is_home() || !is_archive() || !is_search() ) {
      wp_enqueue_script( 'sewell-load-more', SEWELL_SCRIPTS . '/sewell-load-more.js', array( 'jquery' ), '1.0', true );
    }
    wp_enqueue_script( 'infinite-blog', SEWELL_SCRIPTS . '/blog-infinite-loading.js', array( 'jquery' ), '1.9.0', true );
    wp_enqueue_script( 'sewell-scripts', SEWELL_SCRIPTS . '/scripts.js', array( 'jquery' ), SEWELL_VERSION, true );
    wp_enqueue_script( 'sewell-validate-js', SEWELL_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_enqueue_script( 'sewell-interactive-bg', SEWELL_SCRIPTS . '/jquery.interactive_bg.js', array( 'jquery' ), '1.0', true );
    if (!is_home() || !is_archive() || !is_search() ) {
      wp_enqueue_script( 'counter-scroll', SEWELL_SCRIPTS . '/counter-scripts.js', array( 'jquery' ), '1.9.0', true );
    }
    wp_add_inline_script( 'sewell-validate-js', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $sewell_viewport = cs_get_option('theme_responsive');
    if($sewell_viewport == 'on') {
      wp_enqueue_style( 'sewell-responsive', SEWELL_CSS .'/responsive.css', array(), SEWELL_VERSION, 'all' );
    }
    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'sewell_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'sewell_vt_admin_scripts_styles' ) ) {
  function sewell_vt_admin_scripts_styles() {
    wp_enqueue_style( 'sewell-admin-main', SEWELL_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'sewell-admin-scripts', SEWELL_SCRIPTS . '/admin-scripts.js', true );
  }
  add_action( 'admin_enqueue_scripts', 'sewell_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'sewell_vt_wp_enqueue_styles' ) ) {
  function sewell_vt_wp_enqueue_styles() {
    sewell_vt_google_fonts();
    add_action( 'wp_head', 'sewell_vt_custom_css', 99 );
  }
  add_action( 'wp_enqueue_scripts', 'sewell_vt_wp_enqueue_styles' );
}
