<?php
/*
 * All customizer related options for Sewell theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
if( ! function_exists( 'sewell_vt_customizer' ) ) {
  function sewell_vt_customizer( $options ) {
	$options        = array(); // remove old options

	// Primary Color
	$options[]      = array(
	  'name'        => 'elemets_color_section',
	  'title'       => esc_html__('Primary Color', 'sewell'),
	  'settings'    => array(
	    // Fields Start
			array(
				'name'      => 'all_element_colors',
				'default'   => '#222222',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Elements Color', 'sewell'),
					'description'    => esc_html__('This is theme primary color, means it\'ll affect all elements that have default color of our theme primary color.', 'sewell'),
				),
			),
    	  	array(
				'name'      => 'body_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Body Background', 'sewell'),
				),
			),

	  )
	);
	// Primary Color

	// Header Color
	$options[]      = array(
	  'name'        => 'header_color_section',
	  'title'       => esc_html__('01. Header Colors', 'sewell'),
	  'settings'    => array(

	    // Fields Start
			array(
				'name'      => 'header_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'sewell'),
				),
			),
			array(
				'name'      => 'header_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Menu Color', 'sewell'),
				),
			),
			array(
				'name'      => 'header_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Menu Hover Color', 'sewell'),
				),
			),

			// Sub Menu Color
			array(
				'name'          => 'header_submenu_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Sub-Menu Colors', 'sewell'),
					),
				),
			),
			array(
				'name'      => 'submenu_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'sewell'),
				),
			),
			array(
				'name'      => 'submenu_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Color', 'sewell'),
				),
			),
			array(
				'name'      => 'submenu_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Hover Color', 'sewell'),
				),
			),
	    // Fields End

	  )
	);
	// Header Color

	// Title Bar Color
	$options[]      = array(
	  'name'        => 'titlebar_section',
	  'title'       => esc_html__('02. Title Bar Colors', 'sewell'),
      'settings'      => array(

    	// Fields Start
    	array(
				'name'          => 'titlebar_colors_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => __('<h2 style="margin: 0;text-align: center;">Title Colors</h2> <br /> This is common settings, if this settings not affect in your page. Please check your page metabox. You may set default settings there.', 'sewell'),
					),
				),
			),
    	array(
				'name'      => 'titlebar_title_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Title Color', 'sewell'),
				),
			),
    	array(
				'name'      => 'titlebar_title_bg',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Title Background', 'sewell'),
				),
			),
	    // Fields End
	  )
	);
	// Title Bar Color

	// Content Color
	$options[]      = array(
	  'name'        => 'content_section',
	  'title'       => esc_html__('03. Content Colors', 'sewell'),
	  'description' => esc_html__('This is all about content area text and heading colors.', 'sewell'),
	  'sections'    => array(
	  	array(
	      'name'          => 'content_text_section',
	      'title'         => esc_html__('Content Text', 'sewell'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'      => 'blog_title_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Blog Title', 'sewell'),
						),
					),
			    	array(
						'name'      => 'body_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Content Color', 'sewell'),
						),
					),
			    	array(
						'name'      => 'content_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Content Area Background', 'sewell'),
						),
					),
					array(
						'name'      => 'body_links_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Color', 'sewell'),
						),
					),
					array(
						'name'      => 'body_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Hover Color', 'sewell'),
						),
					),
			    	array(
							'name'          => 'readmore_headings',
							'control'       => array(
								'type'        => 'cs_field',
								'options'     => array(
									'type'      => 'notice',
									'class'     => 'info',
									'content'   => __('<h2 style="margin: 0;text-align: center;">Readmore Button</h2> <br />', 'sewell'),
								),
							),
						),
					array(
						'name'      => 'read_morebg',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Readmore Background', 'sewell'),
						),
					),
					array(
						'name'      => 'read_more_hover_bg',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Readmore Hover Background', 'sewell'),
						),
					),
					array(
						'name'      => 'read_more_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Readmore Color', 'sewell'),
						),
					),
					array(
						'name'      => 'read_more_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Readmore Hover Color', 'sewell'),
						),
					),
			    // Fields End
			  )
			),

			// Text Colors Section
			array(
			      'name'          => 'content_heading_section',
			      'title'         => esc_html__('Headings', 'sewell'),
			      'settings'      => array(

						// Fields Start
						array(
							'name'      => 'content_heading_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Content Heading Color', 'sewell'),
							),
						),
				    // Fields End
		      	)
		     ),
			array(
			      'name'          => 'content_meta_section',
			      'title'         => esc_html__('Post Meta', 'sewell'),
			      'settings'      => array(

						// Fields Start
						array(
							'name'      => 'content_meta_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Meta Content Color', 'sewell'),
							),
						),
						array(
							'name'      => 'content_meta_link_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Meta Link Color', 'sewell'),
							),
						),
						array(
							'name'      => 'content_meta_link_hover_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Meta Link Hover Color', 'sewell'),
							),
						),
				    // Fields End
		      	)
		     ),

	  )
	);
	// Content Color

	// Footer Color
	$options[]      = array(
	  'name'        => 'footer_section',
	  'title'       => esc_html__('04. Footer Colors', 'sewell'),
	  'description' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : Sewell > Theme Options > Footer ', 'sewell'),
	  'sections'    => array(

			// Footer Widgets Block
	  	array(
	      'name'          => 'footer_widget_section',
	      'title'         => esc_html__('Footer Block', 'sewell'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'      => 'footer_text_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Footer Text Color', 'sewell'),
						),
					),
					array(
						'name'      => 'footer_bg_color',
						'default'   => '#222327',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'sewell'),
						),
					),
			    // Fields End
			  )
			),
			// Footer Widgets Block

	  )
	);
	// Footer Color

	return $options;

  }
  add_filter( 'cs_customize_options', 'sewell_vt_customizer' );
}
