<?php
/*
 * Codestar Framework - Custom Style
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/* All Dynamic CSS Styles */
if ( ! function_exists( 'sewell_dynamic_styles' ) ) {
  function sewell_dynamic_styles() {
    // Typography
    $sewell_vt_get_typography  = sewell_vt_get_typography();
    $all_element_color  = cs_get_customize_option( 'all_element_colors' );

    // Footer
    $footer_bg_color  = cs_get_customize_option( 'footer_bg_color' );
    $footer_text_color  = cs_get_customize_option( 'footer_text_color' );
    $footer_link_color  = cs_get_customize_option( 'footer_link_color' );
    $footer_link_hover_color  = cs_get_customize_option( 'footer_link_hover_color' );

  ob_start();

global $post;
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );

/* Primary Color Customizer */
if ($all_element_color) {
echo <<<CSS
  .no-class {}
  body{
    color: {$all_element_color};
  }
CSS;
}
/* Header - Customizer */
$header_bg_color  = cs_get_customize_option( 'header_bg_color' );
if ($header_bg_color) {
echo <<<CSS
  .no-class {}
  .sewl-header{
    background-color: {$header_bg_color};
  }
CSS;
}
$header_link_color  = cs_get_customize_option( 'header_link_color' );
$header_link_hover_color  = cs_get_customize_option( 'header_link_hover_color' );
if($header_link_color ) {
echo <<<CSS
  .no-class {}
  .sewl-header .navbar-nav > li > a{
    color: {$header_link_color};
  }
CSS;
}
if($header_link_hover_color) {
echo <<<CSS
  .no-class {}
  .sewl-header .navbar-nav > li > a:hover,
  .sewl-header .navbar-nav > li.current-menu-parent > a {
    color: {$header_link_hover_color};
  }
CSS;
}

$submenu_bg_color  = cs_get_customize_option( 'submenu_bg_color' );
$submenu_link_color  = cs_get_customize_option( 'submenu_link_color' );
$submenu_link_hover_color  = cs_get_customize_option( 'submenu_link_hover_color' );
if ($submenu_bg_color || $submenu_link_color || $submenu_link_hover_color) {
echo <<<CSS
  .no-class {}
  .dropdown-menu > li > a {
    color: {$submenu_link_color};
  }
  .dropdown-menu > li > a:hover,
  .dropdown-menu > li > a:focus,
  .dropdown-menu > li.active > a {
    color: {$submenu_link_hover_color};
  }
  .dropdown-menu {
    background-color: {$submenu_bg_color};
  }
  .mean-container .mean-nav ul.sub-menu li a {
    color: {$submenu_link_color};
  }
  .mean-container .mean-nav ul li li a,
  .mean-container .mean-nav ul li li li a,
  .mean-container .mean-nav ul li li li li a,
  .mean-container .mean-nav ul li li li li li a {
    border-top-color: {$submenu_border_color};
  }
CSS;
}

/* Title Area - Theme Options - Background */
$titlebar_bg = cs_get_option('titlebar_bg');
$title_heading_color  = cs_get_customize_option( 'titlebar_title_color' );
$title_heading_hover  = cs_get_customize_option( 'title_heading_hover' );
$titlebar_title_bg  = cs_get_customize_option( 'titlebar_title_bg' );
if ($titlebar_bg) {

  $title_area = ( ! empty( $titlebar_bg['image'] ) ) ? 'background-image: url('. $titlebar_bg['image'] .');' : '';
  $title_area .= ( ! empty( $titlebar_bg['repeat'] ) ) ? 'background-repeat: '. $titlebar_bg['repeat'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['position'] ) ) ? 'background-position: '. $titlebar_bg['position'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['attachment'] ) ) ? 'background-attachment: '. $titlebar_bg['attachment'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['size'] ) ) ? 'background-size: '. $titlebar_bg['size'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['color'] ) ) ? 'background-color: '. $titlebar_bg['color'] .';' : '';

echo <<<CSS
  .no-class {}
  .sewl-banner{
    {$title_area}
  }
CSS;
}
if ($title_heading_color || $title_heading_hover) {
echo <<<CSS
  .no-class {}
  .sewl-banner .sewl-entrance-wrap a{
    color: {$title_heading_color};
  }
  .sewl-banner .sewl-entrance-wrap a:hover{
    color: {$title_heading_hover};
  }
CSS;
}
if ($titlebar_title_bg) {
echo <<<CSS
  .no-class {}
  .sewl-entrance-wrap.style2 a{
    color: {$titlebar_title_bg};
  }
CSS;
}

/* Footer */
if ($footer_bg_color) {
echo <<<CSS
  .no-class {}
  .sewl-footer {background: {$footer_bg_color};}
CSS;
}
if ($footer_text_color) {
echo <<<CSS
  .no-class {}
  .sewl-footer{color: {$footer_text_color};}
CSS;
}

// Content Colors
$body_color  = cs_get_customize_option( 'body_color' );
$body_bg_color  = cs_get_customize_option( 'body_bg_color' );
$content_bg_color  = cs_get_customize_option( 'content_bg_color' );
if ($body_color) {
echo <<<CSS
  .no-class {}
  .no-class {}
  body, .blog-classic .blog-item p, .blog-item p, .sewl-detail-page p, .sewl-detail-page p q, .sewl-detail-page p strong, .sewl-comment-form .sewl-form-textarea textarea, .sewl-comment-form .sewl-form-textarea input {color: {$body_color};}
CSS;
}
if ($body_bg_color) {
echo <<<CSS
  .no-class {}
  .no-class {}
  body {background: {$body_bg_color};}
CSS;
}
if ($content_bg_color) {
echo <<<CSS
  .no-class {}
  .no-class {}
  .sewl-mid-wrap {background: {$content_bg_color};}
CSS;
}
$titlebar_title_color  = cs_get_customize_option( 'titlebar_title_color' );
if ($titlebar_title_color) {
echo <<<CSS
  .no-class {}
  .no-class {}
  .sewl-entrance-wrap.style2 .entrance-heading {color: {$titlebar_title_color};}
CSS;
}
$titlebar_title_bg  = cs_get_customize_option( 'titlebar_title_bg' );
if ($titlebar_title_bg) {
echo <<<CSS
  .no-class {}
  .no-class {}
  .sewl-entrance-wrap.style2 span {background-color: {$titlebar_title_bg};}
  .sewl-entrance-wrap.style2 span:before {border-color: {$titlebar_title_bg};}
CSS;
}
$content_heading_color  = cs_get_customize_option( 'content_heading_color' );
if ($content_heading_color) {
echo <<<CSS
  .no-class {}
  .no-class {}
  .sewl-detail-page h1, .sewl-detail-page h2, .sewl-detail-page h3, .sewl-detail-page h4, .sewl-detail-page h5, .sewl-detail-page h6, .sewl-comments-area h3.comments-title, .sewl-comments-area h3.comment-reply-title, div.entry-content h1, div.entry-content h2, div.entry-content h3, div.entry-content h4, div.entry-content h5, div.entry-content h6, .sewl-more-posts .post-name {color: {$content_heading_color};}
CSS;
}
$blog_title_color  = cs_get_customize_option( 'blog_title_color' );
if ($blog_title_color) {
echo <<<CSS
  .no-class {}
  .blog-title a, .blog-title {color: {$blog_title_color};}
CSS;
}
$body_links_color  = cs_get_customize_option( 'body_links_color' );
if ($body_links_color) {
echo <<<CSS
  .no-class {}
  .sewl-detail-page p a, a, body a{color: {$body_links_color};}
CSS;
}
$body_link_hover_color  = cs_get_customize_option( 'body_link_hover_color' );
if ($body_link_hover_color) {
echo <<<CSS
  .no-class {}
  .sewl-detail-page p a:hover, a:hover, body a:hover {color: {$body_link_hover_color};}
CSS;
}

$content_meta_color  = cs_get_customize_option( 'content_meta_color' );
if ($content_meta_color) {
echo <<<CSS
  .no-class {}
  .sewl-bottom-meta .sewl-share p,
  .blog-author .post-date,
  .sewl-detail-page .blog-author, .sewl-comments-meta .comments-date {color: {$content_meta_color};}
CSS;
}

// comment
$placeholder_color  = cs_get_customize_option( 'placeholder_color' );
if ($placeholder_color) {
echo <<<CSS
  .no-class {}
::-webkit-input-placeholder, ::-moz-placeholder, :-ms-input-placeholder, ::placeholder{
  color: {$placeholder_color};}
CSS;
}

$content_meta_link_color  = cs_get_customize_option( 'content_meta_link_color' );
$content_meta_link_hover_color  = cs_get_customize_option( 'content_meta_link_hover_color' );
if ($content_meta_link_color || $content_meta_link_hover_color ) {
echo <<<CSS
  .no-class {}
  .sewl-more-posts .post-control-link,
  .blog-author .post-category a {color: {$content_meta_link_color};}
  .sewl-more-posts a:hover .post-control-link,
  .blog-author .post-category a:hover {color: {$content_meta_link_hover_color};}
CSS;
}
$read_morebg  = cs_get_customize_option( 'read_morebg' );
$read_more_color  = cs_get_customize_option( 'read_more_color' );
$read_more_hover_bg  = cs_get_customize_option( 'read_more_hover_bg' );
$read_more_hover_color  = cs_get_customize_option( 'read_more_hover_color' );
if ($read_morebg || $read_more_color || $read_more_hover_bg || $read_more_hover_color) {
echo <<<CSS
  .no-class {}
  .sewl-btn {background-color: {$read_morebg};}
  .sewl-btn {color: {$read_more_color};}
  .sewl-btn:hover, .sewl-btn:focus {color: {$read_more_hover_color};}
  .sewl-btn:hover, .sewl-btn:focus {background-color: {$read_more_hover_bg};}

CSS;
}
// Maintenance Mode
$maintenance_mode_bg  = cs_get_option( 'maintenance_mode_bg' );
if ($maintenance_mode_bg) {
  $maintenance_css = ( ! empty( $maintenance_mode_bg['image'] ) ) ? 'background-image: url('. $maintenance_mode_bg['image'] .');' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['repeat'] ) ) ? 'background-repeat: '. $maintenance_mode_bg['repeat'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['position'] ) ) ? 'background-position: '. $maintenance_mode_bg['position'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['attachment'] ) ) ? 'background-attachment: '. $maintenance_mode_bg['attachment'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['size'] ) ) ? 'background-size: '. $maintenance_mode_bg['size'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['color'] ) ) ? 'background-color: '. $maintenance_mode_bg['color'] .';' : '';
echo <<<CSS
  .no-class {}
  .vt-maintenance-mode {
    {$maintenance_css}
  }
CSS;
}
  echo $sewell_vt_get_typography;

 $hide_image_options = (array) cs_get_option('hide_image_options');

 if( in_array('actual_size', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  #lg-actual-size {
    display: none;
  }
CSS;
}
 if( in_array('zoom_out', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  #lg-zoom-out {
    display: none;
  }
CSS;
}
 if( in_array('zoom_in', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  #lg-zoom-in {
    display: none;
  }
CSS;
}
 if( in_array('share', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  #lg-share {
    display: none;
  }
CSS;
}
 if( in_array('fullscreen', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  .lg-fullscreen {
    display: none;
  }
CSS;
}
 if( in_array('autoplay', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  .lg-autoplay-button {
    display: none;
  }
CSS;
}
 if( in_array('download', $hide_image_options) ) {
  echo <<<CSS
  .no-class {}
  #lg-download {
    display: none;
  }
CSS;
}

  $output = ob_get_clean();
  return $output;
  }

}

/**
 * Custom Font Family
 */
if ( ! function_exists( 'sewell_custom_font_load' ) ) {
  function sewell_custom_font_load() {

    $font_family       = cs_get_option( 'font_family' );

    ob_start();

    if( ! empty( $font_family ) ) {

      foreach ( $font_family as $font ) {
        echo '@font-face{';

        echo 'font-family: "'. $font['name'] .'";';

        if( empty( $font['css'] ) ) {
          echo 'font-style: normal;';
          echo 'font-weight: normal;';
        } else {
          echo $font['css'];
        }
        echo ( ! empty( $font['ttf']  ) ) ? 'src: url('. $font['ttf'] .');' : '';
        echo ( ! empty( $font['eot']  ) ) ? 'src: url('. $font['eot'] .');' : '';
        echo ( ! empty( $font['svg']  ) ) ? 'src: url('. $font['svg'] .');' : '';
        echo ( ! empty( $font['woff'] ) ) ? 'src: url('. $font['woff'] .');' : '';
        echo ( ! empty( $font['otf']  ) ) ? 'src: url('. $font['otf'] .');' : '';

        echo '}';
      }

    }
    // Typography
    $output = ob_get_clean();
    return $output;
  }
}

/* Custom Styles */
if( ! function_exists( 'sewell_vt_custom_css' ) ) {
  function sewell_vt_custom_css() {
    wp_enqueue_style('sewell-default-style', get_template_directory_uri() . '/style.css');
    $output  = sewell_custom_font_load();
    $output .= sewell_dynamic_styles();
    $output .= cs_get_option( 'theme_custom_css' );
    $custom_css = sewell_compress_css_lines( $output );

    wp_add_inline_style( 'sewell-default-style', $custom_css );
  }
}

/* Custom JS */
if( ! function_exists( 'sewell_vt_custom_js' ) ) {
  function sewell_vt_custom_js() {
    if ( ! wp_script_is( 'jquery', 'done' ) ) {
      wp_enqueue_script( 'jquery' );
    }
    $output = cs_get_option( 'theme_custom_js' );
    wp_add_inline_script( 'jquery-migrate', $output );
  }
  add_action( 'wp_enqueue_scripts', 'sewell_vt_custom_js' );
}
