<?php
/*
 * All Metabox related options for Sewell theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
function sewell_vt_metabox_options( $options ) {

  $options      = array();

  // -----------------------------------------
  // About Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'about_page_metabox',
    'title'     => esc_html__('About Me Page', 'sewell'),
    'post_type' => 'page',
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(

      // All Post Formats
      array(
        'name'   => 'section_about_page_bg',
        'fields' => array(

          array(
            'id'          => 'about_page_bg',
            'type'        => 'background',
            'title'       => esc_html__('About Page Background', 'sewell'),
            'info'       => esc_html__('Upload image for about page background', 'sewell'),
          ),

        ),
      ),

    ),
  );

  // -----------------------------------------
  // About Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'contact_page_metabox',
    'title'     => esc_html__('Contact Page Options', 'sewell'),
    'post_type' => 'page',
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(

      // All Post Formats
      array(
        'name'   => 'section_contact_page_bg',
        'fields' => array(

          array(
            'id'          => 'contact_page_bg',
            'type'        => 'background',
            'title'       => esc_html__('Contact Page Background', 'sewell'),
            'info'       => esc_html__('Upload image for contact page background', 'sewell'),
          ),

        ),
      ),

    ),
  );

  // -----------------------------------------
  // Post Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'post_type_metabox',
    'title'     => esc_html__('Post Options', 'sewell'),
    'post_type' => 'post',
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(

      // All Post Formats
      array(
        'name'   => 'section_post_formats',
        'fields' => array(

          // Standard, Image
          array(
            'title' => 'Standard',
            'type'  => 'subheading',
            'content' => esc_html__('There is no Extra Option for this Post Format!', 'sewell'),
            'wrap_class' => 'vt-minimal-heading hide-title',
          ),
          // Standard, Image

          // Gallery
          array(
            'type'    => 'notice',
            'title'   => 'Gallery Format',
            'wrap_class' => 'hide-title',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Gallery Format', 'sewell')
          ),
          array(
            'id'          => 'gallery_post_format',
            'type'        => 'gallery',
            'title'       => esc_html__('Add Gallery', 'sewell'),
            'add_title'   => esc_html__('Add Image(s)', 'sewell'),
            'edit_title'  => esc_html__('Edit Image(s)', 'sewell'),
            'clear_title' => esc_html__('Clear Image(s)', 'sewell'),
          ),

          array(
            'id'          => 'audio_post_format',
            'type'        => 'textarea',
            'title'       => esc_html__('Enter audio iframe/embed code here :', 'sewell'),
            'sanitize'  => true,
          ),
          array(
            'id'          => 'video_post_format',
            'type'        => 'textarea',
            'title'       => esc_html__('Enter video iframe/embed code here :', 'sewell'),
            'sanitize'  => true,
          ),

        ),
      ),

    ),
  );

// -----------------------------------------
// Portfolio Metabox Options                    -
// -----------------------------------------
$options[]    = array(
  'id'        => 'portfolio_single_metabox',
  'title'     => esc_html__('Portfolio Meta', 'sewell'),
  'post_type' => array('portfolio'),
  'context'   => 'normal',
  'priority'  => 'default',
  'sections'  => array(

    // Portfolio Layout
    array(
      'name'  => 'portfolio_layout_section',
      'title' => esc_html__('Layout', 'sewell'),
      'icon'  => 'fa fa-minus',

      // Fields Start
      'fields' => array(

        array(
          'id'           => 'portfolio_single_layout',
          'type'         => 'image_select',
          'options'      => array(
            'portfolio_masonry'    => SEWELL_CS_IMAGES . '/portfolio-masonry.jpg',
            'portfolio_stack'    => SEWELL_CS_IMAGES . '/portfolio-stack.jpg',
            'portfolio_slider'    => SEWELL_CS_IMAGES . '/portfolio-slider.jpg',
            'portfolio_horizontal'    => SEWELL_CS_IMAGES . '/portfolio-horizontal.jpg',
          ),
          'attributes' => array(
            'data-depend-id' => 'portfolio_single_layout',
          ),
          'radio'     => true,
          'default'   => 'portfolio_slider',
        ),
        array(
          'id'        => 'portfolio_single_width',
          'type'      => 'select',
          'title'     => esc_html__('Layout', 'sewell'),
          'options'   => array(
            'fullwidth'    => 'Fullwidth',
            'contained' => 'Contained',
          ),
          'dependency'   => array('portfolio_single_layout', 'any', 'portfolio_masonry,portfolio_stack'),
        ),
        array(
          'id'        => 'portfolio_single_column',
          'type'      => 'select',
          'title'     => esc_html__('Gallery Column', 'sewell'),
          'options'   => array(
            'col-item-2'    => esc_html__('Two Columns', 'sewell'),
            'col-item-3'    => esc_html__('Three Columns', 'sewell'),
            'col-item-4'    => esc_html__('Four Columns', 'sewell'),
            'col-item-5'    => esc_html__('Five Columns', 'sewell'),
          ),
          'dependency'   => array('portfolio_single_layout', '==', 'portfolio_masonry'),
        ),
        // end fields
      ), // End : Fields
    ), // Portfolio Layout
    // Portfolio Images
    array(
      'name'  => 'portfolio_image_section',
      'title' => esc_html__('Images', 'sewell'),
      'icon'  => 'fa fa-image',

      // Gallery Images
      'fields' => array(

        // start fields
        array(
          'id'              => 'portfolio_single_images',
          'title'           => esc_html__('Portfolio Images', 'sewell'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Image Title', 'sewell'),
            ),
            array(
              'id'          => 'image',
              'type'        => 'image',
              'title'       => esc_html__('Image', 'sewell'),
            ),
            array(
              'id'          => 'project_url',
              'type'        => 'text',
              'title'       => esc_html__('Project URL', 'sewell'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'sewell'),
              ),
            ),
            array(
              'id'    => 'item_width',
              'type'  => 'select',
              'title' => esc_html__('Image Width', 'sewell'),
              'options' => array(
                  'col-md-1' => esc_html__('8%', 'sewell'),
                  'col-md-2' => esc_html__('16%', 'sewell'),
                  'col-md-3' => esc_html__('25%', 'sewell'),
                  'col-md-4' => esc_html__('33%', 'sewell'),
                  'col-md-5' => esc_html__('41%', 'sewell'),
                  'col-md-6' => esc_html__('50%', 'sewell'),
                  'col-md-7' => esc_html__('58%', 'sewell'),
                  'col-md-8' => esc_html__('66%', 'sewell'),
                  'col-md-9' => esc_html__('75%', 'sewell'),
                  'col-md-10' => esc_html__('83%', 'sewell'),
                  'col-md-11' => esc_html__('91%', 'sewell'),
                  'col-md-12' => esc_html__('100%', 'sewell'),
                ),
              'default'  => 'col-md-8',
            ),
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Image', 'sewell'),
          'accordion_title' => esc_html__('New Image', 'sewell'),
        ), // information meta
      ), // End : Fields
    ), //Gallery Images

    // Portfolio Info
    array(
      'name'  => 'portfolio_info_section',
      'title' => esc_html__('Portfolio Informations', 'sewell'),
      'icon'  => 'fa fa-info',
      'fields' => array(

        // start fields
        array(
          'id'              => 'portfolio_informations',
          'title'           => esc_html__('Informations', 'sewell'),
          'desc'            => esc_html__('Each group is each meta info', 'sewell'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Meta Title', 'sewell'),
            ),
            array(
              'id'          => 'meta_info',
              'type'        => 'textarea',
              'title'       => esc_html__('Info', 'sewell'),
              'desc'       => esc_html__('Type multiple information by separting "Enter"', 'sewell'),
            ),
            array(
              'id'          => 'info_url',
              'type'        => 'textarea',
              'title'       => esc_html__('Info URL', 'sewell'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'sewell'),
              ),
              'desc'       => esc_html__('Type multiple information by separting "Enter" (Make equality of info and url)', 'sewell'),
            )
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Info', 'sewell'),
          'accordion_title' => esc_html__('New Info', 'sewell'),
        ), // information meta
      ),
    ),
    // Portfolio Info
  ),
);

// -----------------------------------------
// Gallery Metabox Options                    -
// -----------------------------------------
$options[]    = array(
  'id'        => 'gallery_single_metabox',
  'title'     => esc_html__('Gallery Options', 'sewell'),
  'post_type' => array('gallery'),
  'context'   => 'normal',
  'priority'  => 'default',
  'sections'  => array(
    // Title Section
    array(
      'name'  => 'page_gallery_section',
      'title' => esc_html__('Layout', 'sewell'),
      'icon'  => 'fa fa-minus',

      // Fields Start
      'fields' => array(
        array(
          'id'           => 'gallery_layout',
          'type'         => 'image_select',
          'options'      => array(
            'gallery_fullscreen'     => SEWELL_CS_IMAGES .'/gallery_fullscreen.jpg',
            'gallery_grid'     => SEWELL_CS_IMAGES .'/gallery-grid.jpg',
            'gallery_horizontal'     => SEWELL_CS_IMAGES .'/gallery_horizontal.jpg',
            'gallery_kenburns' => SEWELL_CS_IMAGES .'/gallery_kenburns.jpg',
            'gallery_masonry' => SEWELL_CS_IMAGES .'/gallery_masonry.jpg',
          ),
          'attributes' => array(
            'data-depend-id' => 'gallery_layout',
          ),
          'radio'     => true,
          'default'   => 'gallery_grid',
        ),
        // start fields
        array(
          'id'              => 'gallery_images',
          'title'           => esc_html__('Gallery Images', 'sewell'),
          'desc'            => esc_html__('Each group is each gallery image', 'sewell'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Image Title', 'sewell'),
            ),
            array(
              'id'          => 'gallery_image',
              'type'        => 'image',
              'title'       => esc_html__('Upload Image', 'sewell'),
            ),
            array(
              'id'    => 'item_width',
              'type'  => 'select',
              'default'  => 'col-md-7',
              'title' => esc_html__('Image Width', 'sewell'),
              'options' => array(
                  'col-md-1' => esc_html__('8%', 'sewell'),
                  'col-md-2' => esc_html__('16%', 'sewell'),
                  'col-md-3' => esc_html__('25%', 'sewell'),
                  'col-md-4' => esc_html__('33%', 'sewell'),
                  'col-md-5' => esc_html__('41%', 'sewell'),
                  'col-md-6' => esc_html__('50%', 'sewell'),
                  'col-md-7' => esc_html__('58%', 'sewell'),
                  'col-md-8' => esc_html__('66%', 'sewell'),
                  'col-md-9' => esc_html__('75%', 'sewell'),
                  'col-md-10' => esc_html__('83%', 'sewell'),
                  'col-md-11' => esc_html__('91%', 'sewell'),
                  'col-md-12' => esc_html__('100%', 'sewell'),
                ),
            ),
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Image', 'sewell'),
          'accordion_title' => esc_html__('New Image', 'sewell'),
        ),
        array(
          'id'    => 'gallary_align',
          'type'  => 'select',
          'options' => array(
              'center' => esc_html__('Center', 'sewell'),
              'left' => esc_html__('Left', 'sewell'),
            ),
          'title' => esc_html__('Align', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'gallery_horizontal'),
        ),
        array(
          'id'    => 'gallery_column',
          'type'  => 'select',
          'options' => array(
              'two' => esc_html__('Two Columns', 'sewell'),
              'three' => esc_html__('Three Columns', 'sewell'),
              'four' => esc_html__('Four Columns', 'sewell'),
              'five' => esc_html__('Five Columns', 'sewell'),
            ),
          'title' => esc_html__('Gallery Columns', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'gallery_masonry,gallery_grid'),
        ),
        array(
          'id'    => 'title_background',
          'type'  => 'image',
          'title' => esc_html__('Gallery Title Background', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'gallery_masonry,gallery_grid'),
        ),
        // end fields

      ), // End : Fields

    ), // Title Section

    // Enable & Disable
    array(
      'name'  => 'gallery_hide_show_section',
      'title' => esc_html__('Enable & Disable', 'sewell'),
      'icon'  => 'fa fa-toggle-on',
      'fields' => array(
        array(
          'type'    => 'notice',
          'wrap_class' => 'hide-title',
          'class'   => 'info cs-vt-heading',
          'content' => esc_html__('Slider Controls', 'sewell')
        ),
        array(
          'id'    => 'hide_zoom_icon',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Zoom Icon', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
        ),
        array(
          'id'    => 'hide_next_prev',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Next and Previous Controls', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
        ),
        array(
          'id'    => 'hide_numbers',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Numbers', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
        ),
        array(
          'id'    => 'hide_share',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Share', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
        ),
      ),
    ),
    // Enable & Disable
  ),
);

// -----------------------------------------
// Homepage Metabox Options                    -
// -----------------------------------------
$options[]    = array(
  'id'        => 'page_gallery_metabox',
  'title'     => esc_html__('Home Page Metas', 'sewell'),
  'post_type' => array('page'),
  'context'   => 'normal',
  'priority'  => 'default',
  'sections'  => array(
    // Title Section
    array(
      'name'  => 'page_gallery_section',
      'title' => esc_html__('Layout', 'sewell'),
      'icon'  => 'fa fa-minus',
      // Fields Start
      'fields' => array(
        array(
          'id'           => 'gallery_layout',
          'type'         => 'image_select',
          'options'      => array(
            'home_slider'     => SEWELL_CS_IMAGES .'/home-slider.jpg',
            'home_slider_fullpage'     => SEWELL_CS_IMAGES .'/home-slider-full-page.jpg',
            'horizontal_slider' => SEWELL_CS_IMAGES .'/horizontal_slider.jpg',
            'kenburns' => SEWELL_CS_IMAGES .'/kenburns.jpg',
            'split_effect' => SEWELL_CS_IMAGES .'/split_effect.jpg',
            'static_video' => SEWELL_CS_IMAGES .'/static_video.jpg',
            'static_image' => SEWELL_CS_IMAGES .'/static_image.jpg',
          ),
          'attributes' => array(
            'data-depend-id' => 'gallery_layout',
          ),
          'radio'     => true,
          'default'   => 'home_slider',
        ),
        // start fields
        array(
          'id'              => 'gallery_images',
          'title'           => esc_html__('Gallery Images', 'sewell'),
          'desc'            => esc_html__('Each group is each gallery image', 'sewell'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Image Title', 'sewell'),
            ),
            array(
              'id'          => 'gallery_image',
              'type'        => 'image',
              'title'       => esc_html__('Upload Image', 'sewell'),
            ),
            array(
              'id'          => 'title_url',
              'type'        => 'text',
              'title'       => esc_html__('Project Single URL', 'sewell'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'sewell'),
              ),
            ),
            array(
              'id'          => 'image_text',
              'type'        => 'textarea',
              'title'       => esc_html__('Image Content', 'sewell'),
              'desc'        => esc_html__('Press "Enter" to use multiple value ', 'sewell'),
            ),
            array(
              'id'          => 'image_url',
              'type'        => 'textarea',
              'title'       => esc_html__('Content URLs', 'sewell'),
              'desc'        => esc_html__('Press "Enter" to use multiple value ', 'sewell'),
            ),
            array(
              'id'    => 'item_width',
              'type'  => 'select',
              'default'  => 'col-md-7',
              'title' => esc_html__('Image Width', 'sewell'),
              'options' => array(
                  'col-md-1' => esc_html__('8%', 'sewell'),
                  'col-md-2' => esc_html__('16%', 'sewell'),
                  'col-md-3' => esc_html__('25%', 'sewell'),
                  'col-md-4' => esc_html__('33%', 'sewell'),
                  'col-md-5' => esc_html__('41%', 'sewell'),
                  'col-md-6' => esc_html__('50%', 'sewell'),
                  'col-md-7' => esc_html__('58%', 'sewell'),
                  'col-md-8' => esc_html__('66%', 'sewell'),
                  'col-md-9' => esc_html__('75%', 'sewell'),
                  'col-md-10' => esc_html__('83%', 'sewell'),
                  'col-md-11' => esc_html__('91%', 'sewell'),
                  'col-md-12' => esc_html__('100%', 'sewell'),
                ),
            ),
            array(
              'id'    => 'project_information_left',
              'type'  => 'textarea',
              'title' => esc_html__('Information (Left Column)', 'sewell'),
              'shortcode' => true,
              'after'       => 'Helpful shortcodes: [vt_project_info] or any shortcode.',
            ),
            array(
              'id'    => 'project_information_right',
              'type'  => 'textarea',
              'title' => esc_html__('Information (Right Column)', 'sewell'),
              'shortcode' => true,
              'after'       => 'Helpful shortcodes: [vt_project_info] or any shortcode.',
            ),
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Image', 'sewell'),
          'accordion_title' => esc_html__('New Image', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'home_slider,horizontal_slider,horizontal_center,kenburns,split_effect,home_slider_fullpage'),
        ),
        array(
          'id'    => 'video_source',
          'type'  => 'text',
          'title' => esc_html__('Video Source', 'sewell'),
          'info' => esc_html__('Add youtube video url', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'static_video'),
        ),
        array(
          'id'    => 'video_poster',
          'type'  => 'image',
          'title' => esc_html__('Video Poster', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'static_video'),
        ),
        array(
          'id'    => 'image_bg',
          'type'  => 'image',
          'title' => esc_html__('Static Image', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'static_image'),
        ),
        array(
          'id'    => 'split_effect',
          'type'  => 'select',
          'title' => esc_html__('Split Effect', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'split_effect'),
          'options' => array(
              'effect-1' => esc_html__('Effect One', 'sewell'),
              'effect-2' => esc_html__('Effect Two', 'sewell'),
              'effect-3' => esc_html__('Effect Three', 'sewell'),
            ),
        ),
        array(
          'id'    => 'static_text',
          'type'  => 'wysiwyg',
          'title' => esc_html__('Static Text', 'sewell'),
          'label' => esc_html__('Some description', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'static_video,static_image'),
        ),
        array(
          'id'    => 'gallary_align',
          'type'  => 'select',
          'options' => array(
              'center' => esc_html__('Center', 'sewell'),
              'left' => esc_html__('Left', 'sewell'),
            ),
          'title' => esc_html__('Align', 'sewell'),
          'dependency'   => array('gallery_layout', '==', 'horizontal_slider'),
        ),
        // end fields
      ), // End : Fields
    ), // Title Section
    // Enable & Disable
    array(
      'name'  => 'gallery_hide_show_section',
      'title' => esc_html__('Enable & Disable', 'sewell'),
      'icon'  => 'fa fa-toggle-on',
      'fields' => array(

        array(
          'type'    => 'notice',
          'wrap_class' => 'hide-title',
          'class'   => 'info cs-vt-heading',
          'content' => esc_html__('Slider Controls', 'sewell')
        ),
        array(
          'id'    => 'hide_zoom_icon',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Zoom Icon', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'kenburns,home_slider_fullpage,home_slider,horizontal_slider'),
        ),
        array(
          'id'    => 'hide_next_prev',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Controls', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'kenburns,home_slider_fullpage,home_slider,horizontal_slider'),
        ),
        array(
          'id'    => 'hide_project_info',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Project Info?', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'split_effect,kenburns,home_slider_fullpage,home_slider'),
        ),
        array(
          'id'    => 'hide_numbers',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Numbers?', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'kenburns,home_slider'),
        ),
        array(
          'id'    => 'hide_share',
          'type'  => 'switcher',
          'title' => esc_html__('Hide Share?', 'sewell'),
          'label' => esc_html__('Yes, Please do it.', 'sewell'),
          'dependency'   => array('gallery_layout', 'any', 'split_effect,kenburns,home_slider_fullpage,home_slider'),
        ),
      ),
    ),
    // Enable & Disable
  ),
);

  // -----------------------------------------
  // Page Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'page_type_metabox',
    'title'     => esc_html__('Page Custom Options', 'sewell'),
    'post_type' => array('post', 'page', 'portfolio', 'product', 'team', 'services'),
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(
      // Header
      array(
        'name'  => 'header_section',
        'title' => esc_html__('Header', 'sewell'),
        'icon'  => 'fa fa-bars',
        'fields' => array(
          array(
            'id'           => 'select_header_design',
            'type'         => 'image_select',
            'title'        => esc_html__('Select Header Design', 'sewell'),
            'options'      => array(
              'default'     => SEWELL_CS_IMAGES .'/hs-0.png',
              'style_two'   => SEWELL_CS_IMAGES .'/hs-3.jpg',
            ),
            'attributes' => array(
              'data-depend-id' => 'header_design',
            ),
            'radio'     => true,
            'default'   => 'default',
            'info'      => esc_html__('Select your header design, following options will may differ based on your selection of header design.', 'sewell'),
          ),
        ),
      ),
      // Header
      // Banner & Title Area
      array(
        'name'  => 'banner_title_section',
        'title' => esc_html__('Banner & Title Area', 'sewell'),
        'icon'  => 'fa fa-bullhorn',
        'fields' => array(
          array(
            'id'        => 'banner_type',
            'type'      => 'select',
            'title'     => esc_html__('Choose Banner Type', 'sewell'),
            'options'   => array(
              'default-title'    => 'Default Title',
              'revolution-slider' => 'Shortcode [Rev Slider]',
              'hide-title-area'   => 'Hide Title/Banner Area',
            ),
          ),
          array(
            'id'    => 'page_revslider',
            'type'  => 'textarea',
            'title' => esc_html__('Revolution Slider or Any Shortcodes', 'sewell'),
            'desc' => __('Enter any shortcodes that you want to show in this page title area. <br />Eg : Revolution Slider shortcode.', 'sewell'),
            'attributes' => array(
              'placeholder' => esc_html__('Enter your shortcode...', 'sewell'),
            ),
            'dependency'   => array('banner_type', '==', 'revolution-slider'),
          ),
          array(
            'id'    => 'page_custom_title',
            'type'  => 'text',
            'title' => esc_html__('Custom Title', 'sewell'),
            'attributes' => array(
              'placeholder' => esc_html__('Enter your custom title...', 'sewell'),
            ),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),
          array(
            'id'             => 'title_bar_height',
            'type'           => 'select',
            'title'          => esc_html__('Titlle area height', 'sewell'),
            'options'        => array(
              'default' => esc_html__('Default Height', 'sewell'),
              'height-custom' => esc_html__('Custom Height', 'sewell'),
            ),
            'dependency'   => array( 'banner_type', '==', 'default-title' ),
          ),
          array(
            'id'             => 'title_bar_custom_height',
            'type'           => 'text',
            'title'          => esc_html__('Titlle area height', 'sewell'),
            'options'        => array(
              'default' => esc_html__('Default Height', 'sewell'),
              'height-custom' => esc_html__('Custom Height', 'sewell'),
            ),
            'dependency'   => array( 'title_bar_height', '==', 'height-custom' ),
          ),
          array(
            'id'    => 'title_area_bg',
            'type'  => 'background',
            'title' => esc_html__('Background', 'sewell'),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),
        ),
      ),
      // Banner & Title Area
      // Enable & Disable
      array(
        'name'  => 'hide_show_section',
        'title' => esc_html__('Enable & Disable', 'sewell'),
        'icon'  => 'fa fa-toggle-on',
        'fields' => array(
          array(
            'id'    => 'hide_header',
            'type'  => 'switcher',
            'title' => esc_html__('Hide Header', 'sewell'),
            'label' => esc_html__('Yes, Please do it.', 'sewell'),
          ),
          array(
            'id'    => 'hide_footer',
            'type'  => 'switcher',
            'title' => esc_html__('Hide Footer', 'sewell'),
            'label' => esc_html__('Yes, Please do it.', 'sewell'),
          ),
          array(
            'id'    => 'sticky_header',
            'type'  => 'switcher',
            'title' => esc_html__('Sticky Header', 'sewell'),
            'info' => esc_html__('Turn On if you want your naviagtion bar on sticky.', 'sewell'),
            'default' => true,
          ),
        ),
      ),
      // Enable & Disable
    ),
  );

 // -----------------------------------------
  // Featured Image Options
  // -----------------------------------------

  $options[]    = array(
    'id'        => 'portfolio_featurd_image',
    'title'     => esc_html__('Featured Image', 'sewell'),
    'post_type' => 'portfolio',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(
          array(
            'name'  => 'page_layout_section',
            'fields' => array(
              array(
                'id'        => 'featured_image_masonry',
                'type'      => 'image',
                'title'   => esc_html__('Masonry Featurd Image', 'sewell'),
              ),
              array(
                'id'        => 'featured_image_striped',
                'type'      => 'image',
                'title'   => esc_html__('Striped Featurd Image', 'sewell'),
              ),
            ), // End Fields
          ), // Content Section
      ),
    ); // featured image

// -----------------------------------------
// Page Layout
// -----------------------------------------
  $options[]    = array(
    'id'        => 'page_layout_options',
    'title'     => esc_html__('Page Layout', 'sewell'),
    'post_type' => array('page', 'post'),
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(
        array(
            'name'  => 'page_layouts_section',
            'fields' => array(

              array(
                'id'        => 'page_layout',
                'type'      => 'image_select',
                'options'   => array(
                  ''   => SEWELL_CS_IMAGES . '/default.jpg',
                  'full-height'   => SEWELL_CS_IMAGES . '/page-3.png',
                  'full-width'    => SEWELL_CS_IMAGES . '/page-1.png',
                  'extra-width'   => SEWELL_CS_IMAGES . '/page-2.png',
                  'left-sidebar'   => SEWELL_CS_IMAGES . '/page-5.png',
                  'right-sidebar'   => SEWELL_CS_IMAGES . '/page-4.png',
                ),
                'attributes' => array(
                  'data-depend-id' => 'page_layout',
                ),
                'radio'      => false,
                'wrap_class' => 'text-center',
              ),

              array(
                'id'        => 'page_padding',
                'type'      => 'select',
                'title'   => esc_html__('Padding', 'sewell'),
                'options'   => array(
                  'default'   => 'Default',
                  'custom'   => 'Custom',
                ),
                'attributes' => array(
                  'data-depend-id' => 'page_padding',
                ),
                'dependency'   => array( 'page_layout', 'any', 'default,full-width,left-sidebar,right-sidebar' ),
              ),
              array(
                'id'      => 'page_custom_padding_top',
                'type'    => 'text',
                'title'   => esc_html__('Padding Top', 'sewell'),
                'info'    => esc_html__('Enter Custom padding top', 'sewell'),
                'dependency'   => array('page_padding', '==', 'custom'),
              ),

              array(
                'id'      => 'page_custom_padding_bottom',
                'type'    => 'text',
                'title'   => esc_html__('Padding Bottom', 'sewell'),
                'info'    => esc_html__('Enter Custom padding bottom', 'sewell'),
                'dependency'   => array('page_padding', '==', 'custom'),
              ),
             array(
              'id'            => 'page_sidebar_widget',
              'type'           => 'select',
              'title'          => esc_html__('Sidebar Widget', 'sewell'),
              'options'        => sewell_vt_registered_sidebars(),
              'default_option' => esc_html__('Select Widget', 'sewell'),
              'dependency'   => array('page_layout', 'any', 'left-sidebar,right-sidebar'),
            ),

            ), // End Fields
          ), // Content Section
      ),
    );

  // -----------------------------------------
  // Testimonial
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'testimonial_options',
    'title'     => esc_html__('Testimonial Client', 'sewell'),
    'post_type' => 'testimonial',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(
      array(
        'name'   => 'testimonial_option_section',
        'fields' => array(
          array(
            'id'      => 'testi_name',
            'type'    => 'text',
            'title'   => esc_html__('Name', 'sewell'),
            'info'    => esc_html__('Enter client name', 'sewell'),
          ),
          array(
            'id'      => 'testi_name_link',
            'type'    => 'text',
            'title'   => esc_html__('Name Link', 'sewell'),
            'info'    => esc_html__('Enter client name link, if you want', 'sewell'),
          ),
          array(
            'id'      => 'testi_pro',
            'type'    => 'text',
            'title'   => esc_html__('Profession', 'sewell'),
            'info'    => esc_html__('Enter client profession', 'sewell'),
          ),
          array(
            'id'      => 'testi_pro_link',
            'type'    => 'text',
            'title'   => esc_html__('Profession Link', 'sewell'),
            'info'    => esc_html__('Enter client profession link', 'sewell'),
          ),
        ),
      ),
    ),
  );
  // -----------------------------------------
  // Team
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'team_options',
    'title'     => esc_html__('Team Meta', 'sewell'),
    'post_type' => 'team',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(
      array(
        'name'   => 'team_option_section',
        'fields' => array(
          array(
            'title'   => esc_html__('Employee Name', 'sewell'),
            'id'      => 'employee_name',
            'type'    => 'text',
          ),
          array(
            'title'   => esc_html__('Job Position', 'sewell'),
            'id'      => 'team_job_position',
            'type'    => 'text',
            'attributes' => array(
              'placeholder' => esc_html__('Eg : Financial Manager', 'sewell'),
            ),
            'info'    => esc_html__('Enter this employee job position, in your company.', 'sewell'),
          ),
          // Start fields
          array(
            'id'                  => 'team_socials',
            'type'                => 'group',
            'fields'              => array(
              array(
                'id'              => 'team_social_icon',
                'type'            => 'icon',
                'title'           => esc_html__('Social Icon', 'sewell'),
              ),
              array(
                'id'              => 'team_social_link',
                'type'            => 'text',
                'title'           => esc_html__('URL', 'sewell'),
              ),
            ),
            'button_title'        => esc_html__('Add Social Icon', 'sewell'),
            'accordion_title'     => esc_html__('Social Icons', 'sewell'),
          ),
        ),
      ),
    ),
  );

  return $options;
}
add_filter( 'cs_metabox_options', 'sewell_vt_metabox_options' );
