 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_c_gallery_metabox  = get_post_meta( $sewell_id, 'gallery_single_metabox', true );
if ($sewell_c_gallery_metabox) {
  $gallery_image = $sewell_c_gallery_metabox['gallery_images'];
  $hide_zoom_icon = $sewell_c_gallery_metabox['hide_zoom_icon'];
  $hide_numbers = $sewell_c_gallery_metabox['hide_numbers'];
  $hide_share = $sewell_c_gallery_metabox['hide_share'];
  $hide_next_prev = $sewell_c_gallery_metabox['hide_next_prev'];
}else{
  $gallery_image = array();
  $hide_zoom_icon = '';
  $hide_numbers = '';
  $hide_share = '';
  $hide_next_prev = '';
}

$share_text = cs_get_option('share_text');
$share_text = $share_text ? $share_text : esc_html__( 'Share', 'sewell' );
$close_text = cs_get_option('close_text');
$close_text = $close_text ? $close_text : esc_html__( 'Close', 'sewell' );
$p_info_text = cs_get_option('p_info_text');
$p_info_text = $p_info_text ? $p_info_text : esc_html__( 'Project Info', 'sewell' );
?>
<!-- sewl fullheight wrap -->
<div class="sewl-fullheight-wrap">
  <div class="swiper-container slideshow keyboard" data-autoplay="false">
    <div class="swiper-wrapper">
  <?php
  if ( !empty( $gallery_image ) ) {
    foreach ($gallery_image as $key => $image_info) {
      $image = wp_get_attachment_image_url( $image_info['gallery_image'], 'full', false );
      if (!empty( $image )) {
        $image = $image;
      } else {
        $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
      }
      $sewell_alt = get_post_meta( $image_info['gallery_image'], '_wp_attachment_image_alt', true );
    ?>
    <div class="swiper-slide">
      <div class="swiper-slide-wrap">
        <div class="swiper-slide-picture" style="background-image:url(<?php echo esc_url( $image ); ?>);"></div>
        <?php if($hide_zoom_icon == false){
          ?>
          <div class="sewl-expand-btn2"><a href="javascript:void(0);"><img src="<?php echo esc_url(  $image ); ?>" alt="Slide" class="intense"></a></div>
        <?php } ?>
        <div class="sewl-heading-wrap sewl-align-bottom">
          <div class="sewl-table-container">
            <div class="sewl-align-container">
              <h3 class="gallery-title"><?php echo esc_attr($image_info['title']); ?></h3>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php } } ?>
</div>
<?php if($hide_next_prev == false){ ?>
  <div class="swiper-controls">
    <div class="swiper-button-next"></div>
    <div class="swiper-button-pause"></div>
    <div class="swiper-button-play"></div>
    <div class="swiper-button-prev"></div>
  </div>
<?php }
if($hide_numbers == false){ ?>
  <div class="swiper-pagination"></div>
<?php }
if($hide_share == false){ ?>
  <div class="sewl-project-share"><a href="javascript:void(0);"><i class="fa fa-share-alt" aria-hidden="true"></i> <?php echo esc_attr( $share_text ); ?></a></div>
  <div class="sewl-project-socials">
    <div class="sewl-table-container">
      <div class="sewl-align-container">
        <?php sewell_rectangle_share_option(); ?>
      </div>
    </div>
    <div class="sewl-close-btn"><a href="javascript:void(0);"><i class="fa fa-close" aria-hidden="true"></i> <?php echo esc_attr( $close_text ); ?></a></div>
  </div>
<?php } ?>
  </div>
</div>
<?php
