 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_c_gallery_metabox  = get_post_meta( $sewell_id, 'gallery_single_metabox', true );

if ($sewell_c_gallery_metabox) {
  $gallery_image = $sewell_c_gallery_metabox['gallery_images'];
  $hide_zoom_icon = $sewell_c_gallery_metabox['hide_zoom_icon'];
  $hide_numbers = $sewell_c_gallery_metabox['hide_numbers'];
  $hide_share = $sewell_c_gallery_metabox['hide_share'];
  $hide_next_prev = $sewell_c_gallery_metabox['hide_next_prev'];
  $gallery_column = $sewell_c_gallery_metabox['gallery_column'];
  $title_background = $sewell_c_gallery_metabox['title_background'];
}else{
  $gallery_image = array();
  $hide_zoom_icon = '';
  $hide_numbers = '';
  $hide_share = '';
  $hide_next_prev = '';
  $gallery_column = '';
  $title_background = '';
}
if($gallery_column == 'two'){
    $col_class = 'col-item-2';
}elseif($gallery_column == 'three'){
  $col_class = 'col-item-3';
}elseif($gallery_column == 'four'){
  $col_class = 'col-item-4';
}else{
  $col_class = 'col-item-5';
}

if (!empty( $title_background )) {
  $title_bg = wp_get_attachment_image_url( $title_background, 'full', false );
  $sewell_alt_bg = get_post_meta( $title_background, '_wp_attachment_image_alt', true );
} else {
  $title_bg = get_template_directory_uri().'/assets/images/gallery-picture.png';
  $sewell_alt_bg = '';
}

?>
  <!-- sewl fullheight wrap -->
<div class="sewl-masonry <?php echo esc_attr($col_class); ?> lightgallery-grid">
  <div class="masonry-item">
    <div class="masonry-wrap">
      <div class="clearfix"><img src="<?php echo esc_url($title_bg); ?>" alt="<?php echo esc_url($sewell_alt_bg); ?>"></div>
      <div class="sewl-gallery-name style2">
        <div class="sewl-table-container">
          <div class="sewl-align-container"><?php echo sewell_title_area(); ?></div>
        </div>
      </div>
    </div>
  </div>
<?php if ( !empty( $gallery_image ) ) {
    foreach ($gallery_image as $key => $image_info) {
    $image = wp_get_attachment_image_url( $image_info['gallery_image'], 'full', false );
    if (!empty($image)) {
      $image = $image;
    } else {
      $image = SEWELL_IMAGES.'/grid-placeholder.jpg';
    }
    $sewell_alt = get_post_meta( $image_info['gallery_image'], '_wp_attachment_image_alt', true );
    $image_media_link = get_post_meta($image_info['gallery_image'], '_image_media_link', true);
    if ( $image_media_link ) {
      $largimage = $image_media_link;
    } else {
      $largimage = $image;
    }
  ?>
  <div class="masonry-item" data-rel="gallery" data-src="<?php echo esc_url($largimage); ?>">
    <div class="masonry-wrap">
      <div class="clearfix"><img class="lazy" src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($image_info['title']); ?>"></div>
      <div class="sewl-zoom-btn">
        <a href="javascript:void(0);"></a>
      </div>
    </div>
  </div>
  <?php } } ?>
</div>
<?php
