 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_gallery_metabox  = get_post_meta( $sewell_id, 'page_gallery_metabox', true );
if ($sewell_gallery_metabox) {
  $gallery_images = $sewell_gallery_metabox['gallery_images'];
  $hide_zoom_icon = $sewell_gallery_metabox['hide_zoom_icon'];
  $hide_share = $sewell_gallery_metabox['hide_share'];
  $hide_numbers = $sewell_gallery_metabox['hide_numbers'];
  $hide_next_prev = $sewell_gallery_metabox['hide_next_prev'];
} else {
  $gallery_images = array();
  $hide_zoom_icon = '';
  $hide_share = '';
  $hide_numbers = '';
  $hide_next_prev = '';
}
$share_text = cs_get_option('share_text');
$share_text = $share_text ? $share_text : esc_html__( 'Share', 'sewell' );
$close_text = cs_get_option('close_text');
$share_on_text = cs_get_option('share_on_text');
$share_on_text = $share_on_text ? $share_on_text : esc_html__( 'Share On', 'sewell' );
$close_text = $close_text ? $close_text : esc_html__( 'Close', 'sewell' );
$p_info_text = cs_get_option('p_info_text');
$p_info_text = $p_info_text ? $p_info_text : esc_html__( 'Project Info', 'sewell' );
$hide_share_icons = (array) cs_get_option('hide_share_icons');
?>
  <!-- sewl fullheight wrap -->
<div class="sewl-fullheight-wrap">
  <div class="swiper-container slideshow keyboard" data-autoplay="true">
    <div class="swiper-wrapper">
    <?php
    if ( !empty( $gallery_images ) ) {

      foreach ($gallery_images as $key => $image_info) :
        $image = wp_get_attachment_image_url( $image_info['gallery_image'], 'full', false );
        if (!empty( $image )) {
          $image = $image;
        } else {
          $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
        }
        $sewell_alt = get_post_meta( $image_info['gallery_image'], '_wp_attachment_image_alt', true );
        if ($image_info['title_url']) {
          $page_url = $image_info['title_url'];
        } else {
          $page_url = get_the_permalink();
        }
        ?>
          <div class="swiper-slide">
            <?php if( $hide_zoom_icon == false) : ?>
              <div class="sewl-expand-btn"><a href="javascript:void(0);"></a></div>
            <?php endif; ?>
            <div class="swiper-slide-wrap">
              <div class="swiper-slide-picture" style="background-image:url(<?php echo esc_url( $image ); ?>);"></div>
              <div class="sewl-heading-wrap">
                <div class="sewl-table-container">
                  <div class="sewl-align-container">
                    <?php if( $image_info['title'] ) : ?>
                        <div class="sewl-heading"><?php
                          if (!empty($image_info['title_url'])) {
                            echo '<a href="'. esc_url($page_url) .'">'. esc_attr($image_info['title']) .'</a>';
                          } else {
                            echo esc_attr($image_info['title']);
                          }
                        ?></div>
                    <?php endif; ?>
                    <div class="sewl-sub-heading">
                      <?php
                      $image_text = explode('<br>', nl2br($image_info['image_text'], false));
                      $image_url = explode('<br>', nl2br($image_info['image_url'], false));
                      if(!empty($image_url)) {
                        $meta_i = count($image_text);
                        $meta_u = count($image_url);
                        $meta_i = count($image_text);
                        $meta_u = count($image_url);
                        if ($meta_i > $meta_u) {
                          $image_text = array_slice($image_text, 0, count($image_url));
                        } elseif($meta_u > $meta_i) {
                          $image_url = array_slice($image_url, 0, count($image_text));
                        } else {
                          $image_text = $image_text;
                          $image_url = $image_url;
                        }
                        $totlal_info = array_combine($image_text, $image_url);
                          foreach ($totlal_info as $info => $url) {
                            echo '<span><a href="'.trim($url).'">'.trim($info).'</a></span> ';
                          }
                      } else {
                        foreach ( $image_text as $key => $info ) {
                          echo '<span>'.trim($info).'</span> ';
                        }
                      }
                      ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <?php if (!$hide_share) { ?>
            <div class="sewl-project-share"><a href="javascript:void(0);"><i class="fa fa-share-alt" aria-hidden="true"></i> <?php echo  esc_attr( $share_text ); ?></a></div>
            <div class="sewl-project-socials">
              <div class="sewl-table-container">
                <div class="sewl-align-container">
                  <div class="sewl-rectangle-socials">
                    <h6 class="social-label"><?php echo esc_attr($share_on_text); ?> <strong></strong></h6>
                    <?php if( !in_array('facebook', $hide_share_icons) ){ ?>
                    <a href="//www.facebook.com/sharer/sharer.php?u=<?php print(urlencode($page_url)); ?>&amp;t=<?php print(urlencode($image_info['title'])); ?>" title="<?php echo esc_attr('Facebook', 'sewell'); ?>" target="_blank">
                      <span class="sewl-table-container"><span class="sewl-align-container"><i class="fa fa-facebook"></i></span></span>
                    </a>
                    <?php } if(!in_array('twitter', $hide_share_icons)){ ?>
                     <a href="//twitter.com/intent/tweet?text=<?php print(urlencode($image_info['title'])); ?>&url=<?php print(urlencode($page_url)); ?>" title="<?php  echo esc_attr('Twitter', 'sewell'); ?>" target="_blank"><span class="sewl-table-container"><span class="sewl-align-container"><i class="fa fa-twitter"></i></span></span></a>
                    <?php } if(!in_array('linkedin', $hide_share_icons)){  ?>
                    <a href="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php print(urlencode($page_url)); ?>&amp;title=<?php print(urlencode($image_info['title'])); ?>" title="<?php echo esc_attr('Linkedin', 'sewell'); ?>" target="_blank"><span class="sewl-table-container"><span class="sewl-align-container"><i class="fa fa-linkedin"></i></span></span></a>
                    <?php } if(!in_array('pinterest', $hide_share_icons)){  ?>
                    <a href="//pinterest.com/pin/create/button/?url=<?php print(urlencode($page_url)); ?>&media=<?php print(urlencode($image)); ?>" title="<?php echo esc_attr('Pinterest', 'sewell'); ?>" target="_blank"><span class="sewl-table-container"><span class="sewl-align-container"><i class="fa fa-pinterest-p"></i></span></span></a>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="sewl-close-btn"><a href="javascript:void(0);"><i class="fa fa-close" aria-hidden="true"></i> <?php echo esc_attr( $close_text ); ?></a></div>
            </div>
            <?php
          }
          if( !empty( $image_info['project_information_left'] ) || !empty( $image_info['project_information_right'] ) ) : ?>
            <div class="sewl-project-btn"><a href="javascript:void(0);"><i class="info-icon">i</i>  <?php echo esc_attr($p_info_text); ?></a></div>
            <div class="sewl-project-info">
              <div class="sewl-table-container">
                <div class="sewl-align-container">
                  <div class="sewl-moving-wrap">
                    <div class="row">
                      <?php if( $image_info['project_information_left'] ) { ?>
                        <div class="col-md-6 col-sm-6">
                          <?php echo do_shortcode( $image_info['project_information_left'] ); ?>
                        </div>
                        <?php } if( $image_info['project_information_right'] ) { ?>
                        <div class="col-md-5 col-sm-5">
                          <?php echo do_shortcode( $image_info['project_information_right'] ); ?>
                        </div>
                      <?php } ?>
                    </div>
                  </div>
                </div>
              </div>
              <div class="sewl-close-btn"><a href="javascript:void(0);"><i class="fa fa-close" aria-hidden="true"></i> <?php echo esc_attr( $close_text ); ?></a></div>
            </div>
          <?php endif; ?>
          </div>
        <?php
        endforeach;
      }
      ?>
    </div>
    <?php if($hide_next_prev == false) : ?>
      <div class="swiper-controls">
        <div class="swiper-button-next"></div>
        <div class="swiper-button-pause"></div>
        <div class="swiper-button-play"></div>
        <div class="swiper-button-prev"></div>
      </div>
    <?php endif;
    if($hide_numbers == false) : ?>
      <div class="swiper-pagination"></div>
    <?php endif; ?>
  </div>
</div>
<?php
