<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;

$sewell_single_pagination = cs_get_option('portfolio_single_pagination');
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $sewell_id, 'portfolio_single_metabox', true );
if ($portfolio_meta) {
  $portfolio_image = $portfolio_meta['portfolio_single_images'];
} else {
  $portfolio_image = array();
}
while( have_posts() ) : the_post();
?>
  <!-- sewl fullheight wrap (sewl-portfolio-info) -->
  <div class="sewl-fullheight-wrap sewl-portfolio-info">
    <div class="portfolio-info-wrap">
      <div class="vertical-scrollbox">
        <?php if( get_the_title() ){ ?>
        <div class="sewl-section-heading style3">
          <div class="sewl-heading"><?php the_title(); ?></div>
        </div>
        <?php }
            sewell_portfolio_information_meta('portfolio_single_metabox', 'portfolio_informations');
            sewell_rectangle_share_option();
             if ($sewell_single_pagination) {
              sewell_portfolio_next_prev();
             }
          ?>
      </div>
    </div>
    <div class="swiper-container horizontal-slider keyboard mousewheel" data-autoplay="true">
      <div class="swiper-wrapper">
      <?php
      if ( !empty( $portfolio_image ) ) {
      foreach ($portfolio_image as $key => $img) {
        $image = wp_get_attachment_image_url( $img['image'], 'full', false );
        if (!empty( $image )) {
          $image = $image;
        } else {
          $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
        }
        $sewell_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
        ?>
        <div class="swiper-slide <?php echo esc_attr( $img['item_width'] ); ?>">
          <div class="swiper-slide-wrap">
            <div class="swiper-slide-picture" style="background-image:url(<?php echo esc_url($image); ?>);"></div>
            <div class="sewl-expand-btn2"><a href="javascript:void(0);"><img src="<?php echo esc_url( $image ); ?>" alt="Slide" class="intense"></a></div>
          </div>
        </div>
    <?php } } ?>
      </div>
      <div class="swiper-controls">
        <div class="swiper-button-next"></div>
        <div class="swiper-button-pause"></div>
        <div class="swiper-button-play"></div>
        <div class="swiper-button-prev"></div>
      </div>
    </div>
    <div class="sewl-portfolio-btn"><a href="javascript:void(0);"><i class="info-icon">i</i></a></div>
  </div>
<?php
endwhile;
