<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $sewell_id, 'portfolio_single_metabox', true );
// Translation
$sewell_single_pagination = cs_get_option('portfolio_single_pagination');
if ($portfolio_meta) {
  $portfolio_image = (array) $portfolio_meta['portfolio_single_images'];
  $gallery_col = $portfolio_meta['portfolio_single_column'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
} else {
  $portfolio_image = array();
  $gallery_col = ' col-item-4 ';
  $portfolio_single_width = '';
  $portfolio_single_width = '';
}

if ($portfolio_single_width == 'fullwidth') {
  $full_class = 'full-detail';
}else{
  $full_class = '';
}

while( have_posts() ) : the_post();
?>
  <!-- sewl mid wrap (sewl portfolio detail, full-detail) -->
  <div class="sewl-mid-wrap sewl-portfolio-detail <?php echo esc_attr($full_class); ?>">
  <?php
    if ($portfolio_single_width != 'fullwidth') {
      echo '<div class="container"><div class="port-row">';
    }
  ?>
    <div class="portfolio-detail-wrap">
      <div class="sewl-wrap">
        <div class="sewl-section-heading style4">
          <?php  if( !empty( get_the_term_list( $sewell_id, 'portfolio_category', '', ',', '' ) ) ) { ?>
            <div class="sewl-sub-heading">
              <?php echo get_the_term_list( $sewell_id, 'portfolio_category', '', ', ', '' );  ?>
            </div>
           <?php } ?>
          <div class="sewl-heading"><?php esc_attr(the_title()); ?></div>
        </div>
        <?php the_content(); ?>
            <div class="portfolio-info-boxes">
              <?php  sewell_portfolio_information_meta('portfolio_single_metabox', 'portfolio_informations'); ?>
            </div>
        <?php  if ($sewell_single_pagination) { sewell_portfolio_next_prev(); } ?>
      </div>
    </div>
    <div class="lightgallery">
    <?php
    if ( !empty( $portfolio_image ) ) {
      foreach ($portfolio_image as $key => $img) {
        $image = wp_get_attachment_image_url( $img['image'], 'full', false );
        if (!empty($image)) {
          $image = $image;
        } else {
          $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
        }
        $sewell_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
        ?>
      <div class="portfolio-picture" data-src="<?php echo esc_url($image); ?>" data-rel="gallery">
        <a href="javascript:void(0);"><img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($img['title']); ?>"></a>
      </div>
    <?php } } ?>
    </div>
    <?php sewell_rectangle_share_option();
      if ($portfolio_single_width != 'fullwidth') {
        echo '</div></div>';
      }
    ?>
  </div>
<?php
endwhile;
