<?php
/**
 * Template part for displaying posts.
 */
$sewell_read_more_text = cs_get_option('read_more_text');
$sewell_read_text = $sewell_read_more_text ? $sewell_read_more_text : esc_html__( 'Continue Reading', 'sewell' );
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';
$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
$sewell_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
if ( ! empty( $sewell_post_type['gallery_post_format'] ) ) {
	$class_name = 'have-thumbnail';
} else {
	$class_name = 'no-thumbnail';
}
if (is_sticky()) {
	$sticky_class = 'sticky';
} else {$sticky_class = '';}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-item video '. esc_attr($sticky_class)); ?>>
  <div class="blog-picture">
		<?php if ( ! empty( $sewell_post_type['gallery_post_format'] ) ) { ?>
		<div id="blogcarousel-<?php the_ID(); ?>" class="carousel blogcarousel slide" data-ride="carousel">
			<div class="carousel-inner" role="listbox">
				<?php
			  $sewell_ids = explode( ',', $sewell_post_type['gallery_post_format'] );
			  $c = 1;
			  foreach ( $sewell_ids as $id ) {
			    $sewell_attachment = wp_get_attachment_image_src( $id, 'full' );
			    if( $c == 1 ) {
			    	$active_c = 'active';
			    } else {
			    	$active_c = '';
			    }
			    $sewell_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
			    echo '<div class="carousel-item '.$active_c.'"><img src="'. $sewell_attachment[0] .'" alt="'. esc_attr($sewell_alt) .'" /></div>';
			    $c++;
			  }
				?>
			</div>
		  <div class="blog_carousel_controls">
			  	<a class="left blog_carousel_control" href="#blogcarousel-<?php the_ID(); ?>" role="button" data-slide="prev">
			    <span class="fa fa-angle-left" aria-hidden="true"></span>
			    <span class="sr-only"><?php echo esc_html__( 'Previous', 'sewell' ); ?></span>
			  </a>
			  <a class="right blog_carousel_control" href="#blogcarousel-<?php the_ID(); ?>" role="button" data-slide="next">
			    <span class="fa fa-angle-right" aria-hidden="true"></span>
			    <span class="sr-only"><?php echo esc_html__( 'Next', 'sewell' ); ?></span>
			  </a>
		  </div>
		</div>
		<?php
		$t_class = '';
		} elseif ($sewell_large_image) { ?>
			<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($sewell_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
		<?php
			if($sewell_large_image) {
				$t_class = 'have-thumbnail';
			} else {
				$t_class = 'no-thumbnail';
			}
		 } // Featured Image ?>
  </div>
  <div class="blog-info <?php echo esc_attr($t_class);?> <?php echo esc_attr($class_name); ?>">
    <div class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>" class="bp-heading"><?php echo esc_attr(get_the_title()); ?></a>
    </div>
	<?php echo sewell_post_metas(); ?>
		<p><?php
			$blog_excerpt = cs_get_option('theme_blog_excerpt');
			if ($blog_excerpt) {
				$blog_excerpt = $blog_excerpt;
			} else {
				$blog_excerpt = '30';
			}
			sewell_excerpt($blog_excerpt);
			echo sewell_wp_link_pages(); ?>
		</p>
		<div class="clearfix">
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="sewl-btn sewl-btn-black">
			<?php echo esc_attr($sewell_read_text); ?></a>
		</div>
  </div>
</div>
<?php
