<?php
/**
 * Single Post.
 */
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';
$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$page_layout_options  = get_post_meta( $sewell_id, 'page_layout_options', true );
// Single Theme Option
$sewell_single_featured_image = cs_get_option('single_featured_image');
$sewell_single_author_info = cs_get_option('single_author_info');
$sewell_single_share_option = cs_get_option('single_share_option');
$single_comment_form = cs_get_option('single_comment_form');

// sidebar
if ($page_layout_options) {
	$page_layout = $page_layout_options['page_layout'];
} else {
	$page_layout = '';
}
if ( !empty($page_layout) ) {
	$sidebar_position = $page_layout;
} else {
	$sidebar_position = cs_get_option('single_sidebar_position');
}

if ($sidebar_position == 'left-sidebar') {
	$align_class = ' left';
} elseif ($sidebar_position == 'right-sidebar') {
	$align_class = ' right';
} else {
	$align_class = '';
}
if ($sidebar_position == 'left-sidebar' || $sidebar_position == 'right-sidebar') {
	$has_sidebar = 'sewell-has-sidebar'.$align_class;
	$before_sidebar = 'col-md-8';
	$after_sidebar = '</div>';
} else {
	$has_sidebar = '';
	$before_sidebar = '';
	$after_sidebar = '';
}
?>
<div class="sewl-mid-wrap blog-page">
	<div class="container">
 		<div class="row <?php echo esc_attr($has_sidebar); ?>">
 		   <?php
			if ($sidebar_position == 'left-sidebar') {
				get_sidebar();
			}
			echo '<div class="'. esc_attr( $before_sidebar ) .'">'; ?>
    		<div class="sewl-detail-page">
					<div id="post-<?php the_ID(); ?>" <?php post_class('sewl-blog-post entry-content'); ?>>
						<div class="blog-title"><?php echo esc_attr(get_the_title()); ?></div>
						<?php echo sewell_post_metas();
						get_template_part('layouts/post/single/content', get_post_format() ); ?>
		        <div class="sewl-bottom-meta">
			        <?php
							if($sewell_single_share_option) {
								echo sewell_wp_share_option();
							}
							sewell_post_tags();
							?>
		        </div>
						<?php
						if($sewell_single_author_info) {
							echo sewell_author_info();
						}
						sewell_single_pagination();
						?>
					</div><!-- #post-## -->
				<?php
				if ($single_comment_form) {
					comments_template();
				}
				?>
			</div>
			<?php
				if($after_sidebar) {
					echo '</div>';
				}
 		   if ($sidebar_position == 'right-sidebar') {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div><?php
