<?php
/**
 * Template part for displaying posts.
 */
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '$sewell_large_image' );
if($sewell_large_image) {
	$class_name = 'have-thumbnail';
} else {
	$class_name = 'no-thumbnail';
}
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';
$sewell_read_more_text = cs_get_option('read_more_text');
$sewell_read_text = $sewell_read_more_text ? $sewell_read_more_text : esc_html__( 'Continue Reading', 'sewell' );
$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
$sewell_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
if (is_sticky()) {
	$sticky_class = 'sticky';
} else {$sticky_class = '';}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-item '. esc_attr($sticky_class)); ?>>
	<?php if($sewell_large_image) { ?>
	  <div class="blog-picture">
		<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($sewell_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
	  </div>
  <?php } ?>
  <div class="blog-info <?php echo esc_attr($class_name); ?>">
    <div class="blog-title">
    	<a href="<?php echo esc_url( get_permalink() ); ?>" class="bp-heading"><?php echo esc_attr(get_the_title()); ?></a>
    </div>
    	<?php echo sewell_post_metas(); ?>
    	<p><?php
			$blog_excerpt = cs_get_option('theme_blog_excerpt');
			if ($blog_excerpt) {
				$blog_excerpt = $blog_excerpt;
			} else {
				$blog_excerpt = '30';
			}
			sewell_excerpt($blog_excerpt);
			echo sewell_wp_link_pages();
			?></p>
		<div class="clearfix">
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="sewl-btn sewl-btn-black">
			<?php echo esc_attr($sewell_read_text); ?></a>
		</div>
  </div>
</div><?php
