<?php
/**
 * Template part for displaying gallery post format.
 */
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';
$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
$sewell_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
if($sewell_large_image || ! empty( $sewell_post_type['gallery_post_format'] )) {
?>
  <div class="blog-picture">
	<?php if ( ! empty( $sewell_post_type['gallery_post_format'] ) ) { ?>
	<div id="blogcarousel-<?php the_ID(); ?>" class="carousel blogcarousel slide" data-ride="carousel">
		<div class="carousel-inner" role="listbox">
			<?php
		  $sewell_ids = explode( ',', $sewell_post_type['gallery_post_format'] );
		  $c = 1;
		  foreach ( $sewell_ids as $id ) {
		    $sewell_attachment = wp_get_attachment_image_src( $id, 'full' );
		    $sewell_attachment = $sewell_attachment ? $sewell_attachment[0] : '';
		    if( $c == 1 ) {
		    	$active_c = 'active';
		    } else {
		    	$active_c = '';
		    }
		    $sewell_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
		    echo '<div class="item '.$active_c.'"><img src="'. $sewell_attachment .'" alt="'. esc_attr($sewell_alt) .'" /></div>';
		    $c++;
		  }
			?>
		</div>
		 <!-- Left and right controls -->
	  <div class="blog_carousel_controls">
		  <a class="left blog_carousel_control" href="#blogcarousel-<?php the_ID(); ?>" role="button" data-slide="prev">
		    <span class="fa fa-angle-left" aria-hidden="true"></span>
		    <span class="sr-only"><?php echo esc_html__( 'Previous', 'sewell' ); ?></span>
		  </a>
		  <a class="right blog_carousel_control" href="#blogcarousel-<?php the_ID(); ?>" role="button" data-slide="next">
		    <span class="fa fa-angle-right" aria-hidden="true"></span>
		    <span class="sr-only"><?php echo esc_html__( 'Next', 'sewell' ); ?></span>
		  </a>
	  </div>
	</div>
	<?php } elseif ($sewell_large_image) { ?>
		<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($sewell_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
	<?php } // Featured Image ?>
  </div>
  	<!-- Content -->
<?php }
	the_content();
	echo sewell_wp_link_pages();
