<?php
/*
 * The search template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$blog_style = cs_get_option('blog_style');
if ($blog_style === 'splitted') {
	$blog_splite_bg = cs_get_option('blog_splite_bg');
	$blog_splite_title = cs_get_option('blog_splite_title');
	$blog_splite_sub_title = cs_get_option('blog_splite_sub_title');
	$blog_splite_bg = ( $blog_splite_bg ) ? wp_get_attachment_url($blog_splite_bg) : SEWELL_IMAGES . '/backgrounds/bg7.png';
	$blog_splite_title = ( $blog_splite_title ) ? $blog_splite_title : 'Blog';
	$blog_splite_sub_title = ( $blog_splite_sub_title ) ? $blog_splite_sub_title : 'Exlore our all news &amp; Journal in a minitues.';
	$layout_class = 'blog-splitted';
} else {
	$layout_class = 'blog-classic';
}
$pagination_type = cs_get_option('blog_pagination_type');
$totlal = $wp_query->max_num_pages;
// sidebar
$sewell_sidebar_position = cs_get_option('blog_sidebar_position');

if ($sewell_sidebar_position === 'sidebar-left') {
	$align_class = ' left';
} elseif ($sewell_sidebar_position === 'sidebar-right') {
	$align_class = ' right';
} else {
	$align_class = '';
}
if ($sewell_sidebar_position === 'sidebar-left' || $sewell_sidebar_position === 'sidebar-right') {
	$has_sidebar = 'sewell-has-sidebar'.$align_class;
	$sidebar_before = "col-md-8";
	$sidebar_after = '</div>';
} else {
	$has_sidebar = '';
	$sidebar_before = '';
	$sidebar_after = '';
}
?>
<div class="sewl-mid-wrap blog-page <?php echo esc_attr($layout_class); ?>">
<?php if ($blog_style === 'splitted') {
		get_template_part('layouts/blog/blog', 'splitted' );
	} else { ?>
    <div class="container">
    	<div class="row <?php echo esc_attr($has_sidebar); ?>">
    		<?php
				if ($sewell_sidebar_position === 'sidebar-left' && $sewell_sidebar_position !== 'sidebar-hide') {
					 get_sidebar();
				}
					echo '<div class="'. esc_attr($sidebar_before) . '">'; ?>
		    	<div class="search-page-form">
		    		<?php get_search_form(); ?>
		    	</div>
		    	<div id="blog-post">
						<?php
						if ( have_posts() ) :
							/* Start the Loop */
							while ( have_posts() ) : the_post();
								get_template_part( 'layouts/post/content', get_post_format() );
							endwhile;
						else :
							get_template_part( 'layouts/post/content', 'none' );
						endif;
						wp_reset_postdata();  // avoid errors further down the page ?>
					</div>
					<?php
					if($pagination_type == 'ajax_load_button' && $totlal > 1 ) {
						sewell_ajax_pagination_btn();
					} elseif($pagination_type == 'infinite_scroll' && $totlal > 1 ) {
						sewell_infite_load_more();
					} else {
						sewell_paginate_links();
					}
					if($sidebar_after) {
					echo '</div>';
					}
				if ($sewell_sidebar_position === 'sidebar-right') {
					get_sidebar();
				} ?>
			</div>
		</div>
	<?php } ?>
</div>
<?php
get_footer();
