<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
$sewell_blog_widget = cs_get_option('blog_widget');

if (is_page()) {
	$sewell_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
}
if (is_single()) {
	$sewell_single_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
	if ($sewell_single_layout) {
		$single_blog_widget = $sewell_single_layout['page_sidebar_widget'];
	} else {
		$single_blog_widget = '';
	}
	if (!empty($single_blog_widget)) {
		$single_sidebar_widget = $single_blog_widget;
	} else {
		$single_sidebar_widget = cs_get_option('single_blog_widget');
	}
} ?>
<div class="col-md-4 sewell-sidebar">
	<?php if (is_page() && $sewell_page_layout['page_sidebar_widget']) {
		if (is_active_sidebar($sewell_page_layout['page_sidebar_widget'])) {
			dynamic_sidebar($sewell_page_layout['page_sidebar_widget']);
		}
	} elseif (!is_page() && $sewell_blog_widget && !is_single()) {
		if (is_active_sidebar($sewell_blog_widget)) {
			dynamic_sidebar($sewell_blog_widget);
		}
	} elseif(is_single()) {
		if (is_active_sidebar($sewell_single_layout['page_sidebar_widget'])) {
			dynamic_sidebar($sewell_single_layout['page_sidebar_widget']);
		}
	} else {
		if (is_active_sidebar('sidebar-1')) {
			dynamic_sidebar( 'sidebar-1' );
		}
	} ?>
</div><!-- #secondary -->
<?php
