<?php
/*
 * The template for portfolio category pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();
	$sewell_portfolio_pagination = cs_get_option('portfolio_pagination');
  $sewell_portfolio_column = cs_get_option('portfolio_column');
	$sewell_portfolio_column = $sewell_portfolio_column ? $sewell_portfolio_column : 'col-item-4 ';
  $archive_style = cs_get_option('archive_style');
  $archive_style = $archive_style ? $archive_style : 'grid';
  if ($archive_style == 'masonry') {
    $wrapper_class = 'sewl-masonry';
    $column_name = ' masonry-item ';
    $filter_button = 'masonry';
  } else {
    $wrapper_class = ' sewl-grid';
    $column_name = 'grid-item ';
    $filter_button = 'grid';
  }
?>
<div class="portfolio_items dark-gallery-overlay <?php echo esc_attr($sewell_portfolio_column.' '.$wrapper_class); ?>">
  <ul class="nav navbar-nav filter-nav pull-right">
    <li class="dropdown">
      <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="0" data-close-others="false" data-filter=".tennis-items"><?php echo esc_html__('Filter', 'sewell'); ?> <i class="fa fa-caret-down" aria-hidden="true"></i></a>
      <ul class="dropdown-menu filter-buttons <?php echo esc_attr($filter_button); ?>">
        <li><a href="javascript:void(0);" data-filter="*" class="active"><?php echo esc_html__( 'All', 'sewell' ); ?></a></li>
          <?php
          $terms = get_terms('portfolio_category');
          $count = count($terms);
          $i=0;
          $term_list = '';
          if ($count > 0) {
            foreach ($terms as $term) {
              $i++;
              $term_list .= '<li><a href="javascript:void(0);" data-filter=".'. $term->slug .'">' . $term->name . '</a></li>';
              if ($count != $i) {
                $term_list .= '';
              } else {
                $term_list .= '';
              }
            }
            echo $term_list;
          }
          ?>
      </ul>
    </li>
  </ul>
  <?php
  if (have_posts()) : while (have_posts()) : the_post();
    $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
    $large_image = $large_image[0];
    // Category
    global $post;
    $terms = wp_get_post_terms(get_the_ID(),'portfolio_category');
    foreach ($terms as $term) {
        $cat_class = $term->slug .' ';
    }
    $count = count($terms);
    $i=0;
    $cat_class = '';
    if ($count > 0) {
      foreach ($terms as $term) {
        $i++;
          $cat_class .= $term->slug .' ';
        if ($count != $i) {
          $cat_class .= '';
        } else {
          $cat_class .= '';
        }
      }
    }
    $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
    if ($large_image) {
        $featured_img = $large_image[0];
      } else {
          $featured_img = SEWELL_IMAGES.'/backgrounds/1000x850.jpg';
      }
    $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
    if ($portfolio_featurd_image) {
      if ( $archive_style == 'masonry' ) {
        if($portfolio_featurd_image['featured_image_masonry']) {
           $featured_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
          } else {
            $featured_img = $featured_img;
          }
      } else {
        $featured_img = $featured_img;
      }
    } else {
      $featured_img = $featured_img;
    }
    ?>
    <div id="port-<?php the_ID(); ?>" class="<?php echo esc_attr($column_name.$cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
      <div class="masonry-wrap">
        <div class="clearfix"><img src="<?php echo esc_url($featured_img); ?>" alt="<?php echo get_the_title(); ?>"></div>
        <div class="gallery-info">
          <div class="sewl-table-container">
            <div class="sewl-align-container">
              <h3 class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              <span class="gallery-category">
              <?php if( !empty( get_the_term_list( get_the_ID(), 'portfolio_category', '', ',', '' ) ) ) { ?>
              <div class="sewl-sub-heading">
                <?php
                  $category_list = wp_get_post_terms(get_the_ID(), 'portfolio_category');
                  $i=1;
                  foreach ($category_list as $term) {
                    $term_link = get_term_link( $term );
                    echo '<span><a href="'. esc_url($term_link) .'">'. $term->name .'</a></span> ';
                    if($i++==2) break;
                  }
                ?>
              </div>
           <?php } ?>
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php
  endwhile;
  else:
    get_template_part( 'layouts/post/content', 'none' );
  endif;
  ?>
</div>
<?php
global $wp_query;
if ( is_tax() ) {
  $category =  single_cat_title( '', false );
} else {
  $category = '';
}
if (is_author()) {
  $author = get_the_author_meta( 'display_name', $wp_query->post->post_author );
} else {
  $author = '';
}
if (is_tag()) {
  $tags = single_tag_title('', false);
} else {
  $tags = '';
}
if (is_year()) {
  $year = get_the_date('Y');
} elseif( is_month() ) {
  $month = get_the_date('m');
  $year = get_the_date('Y');
} elseif( is_day() ) {
  $day = get_the_date('d');
  $month = get_the_date('m');
  $year = get_the_date('Y');
} else {
  $day = '';
  $month = '';
  $year = '';
}
global $paged;
$totla_page = $wp_query->max_num_pages;
if ($sewell_portfolio_pagination == 'loadmore_btn') {
  if($wp_query->max_num_pages >1) :  ?>
    <div style="text-align: center;" class="load_more_blog_messages"></div>
    <a class="load-more-portfolio load_more_btn" data-author="<?php echo $author; ?>" data-tags="<?php echo $tags; ?>" data-category="<?php echo $category; ?>" data-posts="<?php echo $wp_query->found_posts; ?>"  data-column="<?php echo $column_name; ?>" data-style="<?php echo $archive_style; ?>" data-message="<?php echo esc_html__( 'no more posts', 'sewell' ); ?>" data-pageb="1" data-url="<?php echo admin_url( 'admin-ajax.php' ); ?>"><img class="loader_gif" src="<?php echo SEWELL_IMAGES.'/icons/ajax-loader.gif'; ?>">
      <span class="icon_pagination"><i class="fa fa-refresh"></i></span>
      <span class="txt"><?php esc_html_e('Load More', 'sewell'); ?></span>
    </a>
  <?php
  endif;
} elseif($sewell_portfolio_pagination == 'infinitescroll') {
  if($wp_query->max_num_pages >1) : ?>
    <a class="portfolioInfinite" data-author="<?php echo $author; ?>" data-tags="<?php echo $tags; ?>" data-category="<?php echo $category; ?>" data-posts="<?php echo $wp_query->found_posts; ?>" data-column="<?php echo $column_name; ?>" data-style="<?php echo $archive_style; ?>" data-message="<?php echo esc_html__( 'no more posts', 'sewell' ); ?>" data-url="<?php echo admin_url( 'admin-ajax.php' ); ?>"><img src="<?php echo SEWELL_IMAGES.'/icons/ajax-loader.gif'; ?>"></a>
  <?php
  endif;
} else {
  sewell_custom_paginat_link($totla_page,"",$paged);
}
wp_reset_postdata();
get_footer();
